using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace SBU.HTRRL.FlowPattern.DataAnalysis
{
	/// <summary>
	/// Summary description for FrmSetCoordinate.
	/// </summary>
	public class FrmSetCoordinate : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		/// 
		public string XaxisTitle,YaxisTitle;
		public string XaxisScale,YaxisScale;
		public double Xmin,Xmax,Ymin,Ymax;
		public double XaxisDivisionNo,YaxisDivisionNo;
		public string XaxisUnit,YaxisUnit;

		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button cmdReturn;
		private System.Windows.Forms.Button cmdExit;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.GroupBox groupBox6;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label labXmaxUnit;
		private System.Windows.Forms.TextBox txtXmax;
		private System.Windows.Forms.Label labXminUnit;
		private System.Windows.Forms.TextBox txtXmin;
		private System.Windows.Forms.RadioButton radioButtonMassFlowFluxX;
		private System.Windows.Forms.RadioButton radioButtonQualityX;
		private System.Windows.Forms.RadioButton radioButtonLiquidSuperficialVelocityX;
		private System.Windows.Forms.Label labYmaxUnit;
		private System.Windows.Forms.TextBox txtYmax;
		private System.Windows.Forms.Label labYminUnit;
		private System.Windows.Forms.TextBox txtYmin;
		private System.Windows.Forms.RadioButton radioButtonLogarithmicY;
		private System.Windows.Forms.RadioButton radioButtonLinearY;
		private System.Windows.Forms.RadioButton radioButtonMassFlowFluxY;
		private System.Windows.Forms.RadioButton radioButtonGasSuperficialVelocityY;
		private System.Windows.Forms.RadioButton radioButtonQualityY;
		private System.Windows.Forms.Button cmdDefault;
		private System.Windows.Forms.RadioButton radioButtonLiquidSuperficialVelocityY;
		private System.Windows.Forms.TextBox txtYaxisDivisionNo;
		private System.Windows.Forms.RadioButton radioButtonLockhartMartinelliX;
		private System.Windows.Forms.RadioButton radioButtonLockhartMartinelliY;
		private System.Windows.Forms.RadioButton radioButtonMartinelliX;
		private System.Windows.Forms.RadioButton radioButtonMartinelliY;
		private System.Windows.Forms.RadioButton radioButtonGovierAirWaterX;
		private System.Windows.Forms.RadioButton radioButtonGovierAirWaterY;
		private System.Windows.Forms.RadioButton radioButtonGovierR134aX;
		private System.Windows.Forms.RadioButton radioButtonGovierR134aY;
		private System.Windows.Forms.RadioButton radioButtonBakerAirWaterX;
		private System.Windows.Forms.RadioButton radioButtonBakerAirWaterY;
		private System.Windows.Forms.RadioButton radioButtonBakerR134aX;
		private System.Windows.Forms.RadioButton radioButtonBakerR134aY;
		private System.Windows.Forms.RadioButton radioButtonHomogeneousVelocity;
		private System.Windows.Forms.RadioButton radioButtonVolumeFlowRatio;
		private System.Windows.Forms.RadioButton radioButtonGasMassFlowFlux;
		private System.Windows.Forms.RadioButton radioButtonLiquidMassFlowFlux;
		private System.Windows.Forms.RadioButton radioButtonFroudeNumber;
		private System.Windows.Forms.RadioButton radioButtonHewittX;
		private System.Windows.Forms.RadioButton radioButtonHewittY;
		private System.Windows.Forms.RadioButton radioButtonSuperficialVelocityRatio;
		private System.Windows.Forms.RadioButton radioButtonGasMassFlowRate;
		private System.Windows.Forms.RadioButton radioButtonLiquidMassFlowRate;
		private System.Windows.Forms.RadioButton radioButtonSchichtAirWaterX;
		private System.Windows.Forms.RadioButton radioButtonSchichtAirWaterY;
		private System.Windows.Forms.RadioButton radioButtonSchichtR134aX;
		private System.Windows.Forms.RadioButton radioButtonSchichtR134aY;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.TextBox txtXaxisDivisionNo;
		private System.Windows.Forms.RadioButton radioButtonLogarithmicX;
		private System.Windows.Forms.RadioButton radioButtonLinearX;
		private System.Windows.Forms.RadioButton radioButtonGasReNumber;
		private System.Windows.Forms.RadioButton radioButtonLiquidReNumber;
		private System.Windows.Forms.RadioButton radioButtonGasSuperficialVelocityX;
		private System.Windows.Forms.RadioButton radioButtonModifiedGasSuperficialVelocity1;
		private System.Windows.Forms.RadioButton radioButtonModifiedLiquidSuperficialVelocity1;
		private System.Windows.Forms.RadioButton radioButtonModifiedGasSuperficialVelocity2;
		private System.Windows.Forms.RadioButton radioButtonModifiedLiquidSuperficialVelocity2;
		private System.Windows.Forms.RadioButton radioButtonModifiedGasSuperficialVelocity3;
		private System.Windows.Forms.RadioButton radioButtonModifiedLiquidSuperficialVelocity3;
		private System.Windows.Forms.RadioButton radioButtonBarneaY;
		private System.Windows.Forms.RadioButton radioButtonModifiedGasSuperficialVelocity4;
		private System.Windows.Forms.RadioButton radioButtonModifiedLiquidSuperficialVelocity4;
		private System.Windows.Forms.RadioButton radioButtonGasWeNumber;
		private System.Windows.Forms.RadioButton radioButtonLiquidWeNumber;
		private System.Windows.Forms.RadioButton radioButtonGWels;
		private System.Windows.Forms.RadioButton radioButtonXWegs;
		private System.Windows.Forms.RadioButton radioButtonXX;
		private System.Windows.Forms.RadioButton radioButtonYY;
		private System.Windows.Forms.RadioButton radioButtonFrgsRegs;
		private System.Windows.Forms.RadioButton radioButtonWels;
		private System.Windows.Forms.Label label6;

		public FrmSetCoordinate()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.cmdReturn = new System.Windows.Forms.Button();
			this.cmdExit = new System.Windows.Forms.Button();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.radioButtonFrgsRegs = new System.Windows.Forms.RadioButton();
			this.radioButtonXX = new System.Windows.Forms.RadioButton();
			this.radioButtonXWegs = new System.Windows.Forms.RadioButton();
			this.radioButtonGasWeNumber = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedGasSuperficialVelocity4 = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedGasSuperficialVelocity3 = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedGasSuperficialVelocity2 = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedGasSuperficialVelocity1 = new System.Windows.Forms.RadioButton();
			this.radioButtonGasReNumber = new System.Windows.Forms.RadioButton();
			this.radioButtonSchichtR134aX = new System.Windows.Forms.RadioButton();
			this.radioButtonSchichtAirWaterX = new System.Windows.Forms.RadioButton();
			this.radioButtonGasMassFlowRate = new System.Windows.Forms.RadioButton();
			this.radioButtonSuperficialVelocityRatio = new System.Windows.Forms.RadioButton();
			this.radioButtonHewittX = new System.Windows.Forms.RadioButton();
			this.radioButtonFroudeNumber = new System.Windows.Forms.RadioButton();
			this.radioButtonGasMassFlowFlux = new System.Windows.Forms.RadioButton();
			this.radioButtonHomogeneousVelocity = new System.Windows.Forms.RadioButton();
			this.radioButtonBakerR134aX = new System.Windows.Forms.RadioButton();
			this.radioButtonBakerAirWaterX = new System.Windows.Forms.RadioButton();
			this.radioButtonGovierR134aX = new System.Windows.Forms.RadioButton();
			this.radioButtonGovierAirWaterX = new System.Windows.Forms.RadioButton();
			this.radioButtonMartinelliX = new System.Windows.Forms.RadioButton();
			this.groupBox5 = new System.Windows.Forms.GroupBox();
			this.labXmaxUnit = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.txtXmax = new System.Windows.Forms.TextBox();
			this.labXminUnit = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.txtXmin = new System.Windows.Forms.TextBox();
			this.radioButtonLockhartMartinelliX = new System.Windows.Forms.RadioButton();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.txtXaxisDivisionNo = new System.Windows.Forms.TextBox();
			this.radioButtonLogarithmicX = new System.Windows.Forms.RadioButton();
			this.radioButtonLinearX = new System.Windows.Forms.RadioButton();
			this.radioButtonMassFlowFluxX = new System.Windows.Forms.RadioButton();
			this.radioButtonGasSuperficialVelocityX = new System.Windows.Forms.RadioButton();
			this.radioButtonQualityX = new System.Windows.Forms.RadioButton();
			this.radioButtonLiquidSuperficialVelocityX = new System.Windows.Forms.RadioButton();
			this.groupBox3 = new System.Windows.Forms.GroupBox();
			this.radioButtonYY = new System.Windows.Forms.RadioButton();
			this.radioButtonGWels = new System.Windows.Forms.RadioButton();
			this.radioButtonBarneaY = new System.Windows.Forms.RadioButton();
			this.radioButtonLiquidWeNumber = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedLiquidSuperficialVelocity4 = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedLiquidSuperficialVelocity3 = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedLiquidSuperficialVelocity2 = new System.Windows.Forms.RadioButton();
			this.radioButtonModifiedLiquidSuperficialVelocity1 = new System.Windows.Forms.RadioButton();
			this.radioButtonLiquidReNumber = new System.Windows.Forms.RadioButton();
			this.radioButtonSchichtR134aY = new System.Windows.Forms.RadioButton();
			this.radioButtonSchichtAirWaterY = new System.Windows.Forms.RadioButton();
			this.radioButtonLiquidMassFlowRate = new System.Windows.Forms.RadioButton();
			this.radioButtonHewittY = new System.Windows.Forms.RadioButton();
			this.radioButtonLiquidMassFlowFlux = new System.Windows.Forms.RadioButton();
			this.radioButtonVolumeFlowRatio = new System.Windows.Forms.RadioButton();
			this.radioButtonBakerR134aY = new System.Windows.Forms.RadioButton();
			this.radioButtonBakerAirWaterY = new System.Windows.Forms.RadioButton();
			this.radioButtonGovierR134aY = new System.Windows.Forms.RadioButton();
			this.groupBox6 = new System.Windows.Forms.GroupBox();
			this.labYmaxUnit = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.txtYmax = new System.Windows.Forms.TextBox();
			this.labYminUnit = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.txtYmin = new System.Windows.Forms.TextBox();
			this.groupBox4 = new System.Windows.Forms.GroupBox();
			this.txtYaxisDivisionNo = new System.Windows.Forms.TextBox();
			this.radioButtonLogarithmicY = new System.Windows.Forms.RadioButton();
			this.radioButtonLinearY = new System.Windows.Forms.RadioButton();
			this.radioButtonMassFlowFluxY = new System.Windows.Forms.RadioButton();
			this.radioButtonGasSuperficialVelocityY = new System.Windows.Forms.RadioButton();
			this.radioButtonQualityY = new System.Windows.Forms.RadioButton();
			this.radioButtonLiquidSuperficialVelocityY = new System.Windows.Forms.RadioButton();
			this.radioButtonGovierAirWaterY = new System.Windows.Forms.RadioButton();
			this.radioButtonMartinelliY = new System.Windows.Forms.RadioButton();
			this.radioButtonLockhartMartinelliY = new System.Windows.Forms.RadioButton();
			this.cmdDefault = new System.Windows.Forms.Button();
			this.radioButtonWels = new System.Windows.Forms.RadioButton();
			this.groupBox1.SuspendLayout();
			this.groupBox5.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.groupBox3.SuspendLayout();
			this.groupBox6.SuspendLayout();
			this.groupBox4.SuspendLayout();
			this.SuspendLayout();
			// 
			// cmdReturn
			// 
			this.cmdReturn.Location = new System.Drawing.Point(688, 664);
			this.cmdReturn.Name = "cmdReturn";
			this.cmdReturn.Size = new System.Drawing.Size(64, 24);
			this.cmdReturn.TabIndex = 4;
			this.cmdReturn.Text = "Return";
			this.cmdReturn.Click += new System.EventHandler(this.cmdReturn_Click);
			// 
			// cmdExit
			// 
			this.cmdExit.Location = new System.Drawing.Point(768, 664);
			this.cmdExit.Name = "cmdExit";
			this.cmdExit.Size = new System.Drawing.Size(64, 24);
			this.cmdExit.TabIndex = 5;
			this.cmdExit.Text = "Exit";
			this.cmdExit.Click += new System.EventHandler(this.cmdExit_Click);
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.radioButtonFrgsRegs,
																					this.radioButtonXX,
																					this.radioButtonXWegs,
																					this.radioButtonGasWeNumber,
																					this.radioButtonModifiedGasSuperficialVelocity4,
																					this.radioButtonModifiedGasSuperficialVelocity3,
																					this.radioButtonModifiedGasSuperficialVelocity2,
																					this.radioButtonModifiedGasSuperficialVelocity1,
																					this.radioButtonGasReNumber,
																					this.radioButtonSchichtR134aX,
																					this.radioButtonSchichtAirWaterX,
																					this.radioButtonGasMassFlowRate,
																					this.radioButtonSuperficialVelocityRatio,
																					this.radioButtonHewittX,
																					this.radioButtonFroudeNumber,
																					this.radioButtonGasMassFlowFlux,
																					this.radioButtonHomogeneousVelocity,
																					this.radioButtonBakerR134aX,
																					this.radioButtonBakerAirWaterX,
																					this.radioButtonGovierR134aX,
																					this.radioButtonGovierAirWaterX,
																					this.radioButtonMartinelliX,
																					this.groupBox5,
																					this.radioButtonLockhartMartinelliX,
																					this.groupBox2,
																					this.radioButtonMassFlowFluxX,
																					this.radioButtonGasSuperficialVelocityX,
																					this.radioButtonQualityX,
																					this.radioButtonLiquidSuperficialVelocityX});
			this.groupBox1.Location = new System.Drawing.Point(16, 16);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(400, 640);
			this.groupBox1.TabIndex = 6;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "X-axis Coordinate";
			// 
			// radioButtonFrgsRegs
			// 
			this.radioButtonFrgsRegs.Location = new System.Drawing.Point(16, 464);
			this.radioButtonFrgsRegs.Name = "radioButtonFrgsRegs";
			this.radioButtonFrgsRegs.Size = new System.Drawing.Size(88, 24);
			this.radioButtonFrgsRegs.TabIndex = 33;
			this.radioButtonFrgsRegs.Text = "Frgs.Regs";
			this.radioButtonFrgsRegs.CheckedChanged += new System.EventHandler(this.radioButtonFrgsRegs_CheckedChanged);
			// 
			// radioButtonXX
			// 
			this.radioButtonXX.Location = new System.Drawing.Point(16, 488);
			this.radioButtonXX.Name = "radioButtonXX";
			this.radioButtonXX.Size = new System.Drawing.Size(64, 24);
			this.radioButtonXX.TabIndex = 32;
			this.radioButtonXX.Text = "XX";
			this.radioButtonXX.CheckedChanged += new System.EventHandler(this.radioButtonXX_CheckedChanged);
			// 
			// radioButtonXWegs
			// 
			this.radioButtonXWegs.Location = new System.Drawing.Point(16, 440);
			this.radioButtonXWegs.Name = "radioButtonXWegs";
			this.radioButtonXWegs.Size = new System.Drawing.Size(64, 24);
			this.radioButtonXWegs.TabIndex = 31;
			this.radioButtonXWegs.Text = "X.Wegs";
			this.radioButtonXWegs.CheckedChanged += new System.EventHandler(this.radioButtonXWegs_CheckedChanged);
			// 
			// radioButtonGasWeNumber
			// 
			this.radioButtonGasWeNumber.Location = new System.Drawing.Point(16, 328);
			this.radioButtonGasWeNumber.Name = "radioButtonGasWeNumber";
			this.radioButtonGasWeNumber.Size = new System.Drawing.Size(216, 24);
			this.radioButtonGasWeNumber.TabIndex = 30;
			this.radioButtonGasWeNumber.Text = "We Number Based on Ugs";
			this.radioButtonGasWeNumber.CheckedChanged += new System.EventHandler(this.radioButtonGasWeNumber_CheckedChanged);
			// 
			// radioButtonModifiedGasSuperficialVelocity4
			// 
			this.radioButtonModifiedGasSuperficialVelocity4.Location = new System.Drawing.Point(16, 408);
			this.radioButtonModifiedGasSuperficialVelocity4.Name = "radioButtonModifiedGasSuperficialVelocity4";
			this.radioButtonModifiedGasSuperficialVelocity4.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedGasSuperficialVelocity4.TabIndex = 28;
			this.radioButtonModifiedGasSuperficialVelocity4.Text = "Modified Gas Superficial Velocity 4";
			this.radioButtonModifiedGasSuperficialVelocity4.CheckedChanged += new System.EventHandler(this.radioButtonModifiedGasSuperficialVelocity4_CheckedChanged);
			// 
			// radioButtonModifiedGasSuperficialVelocity3
			// 
			this.radioButtonModifiedGasSuperficialVelocity3.Location = new System.Drawing.Point(16, 392);
			this.radioButtonModifiedGasSuperficialVelocity3.Name = "radioButtonModifiedGasSuperficialVelocity3";
			this.radioButtonModifiedGasSuperficialVelocity3.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedGasSuperficialVelocity3.TabIndex = 27;
			this.radioButtonModifiedGasSuperficialVelocity3.Text = "Modified Gas Superficial Velocity 3";
			this.radioButtonModifiedGasSuperficialVelocity3.CheckedChanged += new System.EventHandler(this.radioButtonModifiedGasSuperficialVelocity3_CheckedChanged);
			// 
			// radioButtonModifiedGasSuperficialVelocity2
			// 
			this.radioButtonModifiedGasSuperficialVelocity2.Location = new System.Drawing.Point(16, 376);
			this.radioButtonModifiedGasSuperficialVelocity2.Name = "radioButtonModifiedGasSuperficialVelocity2";
			this.radioButtonModifiedGasSuperficialVelocity2.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedGasSuperficialVelocity2.TabIndex = 26;
			this.radioButtonModifiedGasSuperficialVelocity2.Text = "Modified Gas Superficial Velocity 2";
			this.radioButtonModifiedGasSuperficialVelocity2.CheckedChanged += new System.EventHandler(this.radioButtonModifiedGasSuperficialVelocity2_CheckedChanged);
			// 
			// radioButtonModifiedGasSuperficialVelocity1
			// 
			this.radioButtonModifiedGasSuperficialVelocity1.Location = new System.Drawing.Point(16, 360);
			this.radioButtonModifiedGasSuperficialVelocity1.Name = "radioButtonModifiedGasSuperficialVelocity1";
			this.radioButtonModifiedGasSuperficialVelocity1.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedGasSuperficialVelocity1.TabIndex = 25;
			this.radioButtonModifiedGasSuperficialVelocity1.Text = "Modified Gas Superficial Velocity 1";
			this.radioButtonModifiedGasSuperficialVelocity1.CheckedChanged += new System.EventHandler(this.radioButtonModifiedGasSuperficialVelocity1_CheckedChanged);
			// 
			// radioButtonGasReNumber
			// 
			this.radioButtonGasReNumber.Location = new System.Drawing.Point(16, 312);
			this.radioButtonGasReNumber.Name = "radioButtonGasReNumber";
			this.radioButtonGasReNumber.Size = new System.Drawing.Size(216, 24);
			this.radioButtonGasReNumber.TabIndex = 24;
			this.radioButtonGasReNumber.Text = "Re Number Based on Ugs";
			this.radioButtonGasReNumber.CheckedChanged += new System.EventHandler(this.radioButtonGasReNumber_CheckedChanged);
			// 
			// radioButtonSchichtR134aX
			// 
			this.radioButtonSchichtR134aX.Location = new System.Drawing.Point(16, 296);
			this.radioButtonSchichtR134aX.Name = "radioButtonSchichtR134aX";
			this.radioButtonSchichtR134aX.Size = new System.Drawing.Size(376, 24);
			this.radioButtonSchichtR134aX.TabIndex = 23;
			this.radioButtonSchichtR134aX.Text = "Schicht\'s Coordinate X (Reference Fluid: 6bar R134a) (kg/m2s)";
			this.radioButtonSchichtR134aX.CheckedChanged += new System.EventHandler(this.radioButtonSchichtR134aX_CheckedChanged);
			// 
			// radioButtonSchichtAirWaterX
			// 
			this.radioButtonSchichtAirWaterX.Location = new System.Drawing.Point(16, 280);
			this.radioButtonSchichtAirWaterX.Name = "radioButtonSchichtAirWaterX";
			this.radioButtonSchichtAirWaterX.Size = new System.Drawing.Size(376, 24);
			this.radioButtonSchichtAirWaterX.TabIndex = 22;
			this.radioButtonSchichtAirWaterX.Text = "Schicht\'s Coordinate X (Reference Fluid: 15.5C Air-Water) (kg/m2s)";
			this.radioButtonSchichtAirWaterX.CheckedChanged += new System.EventHandler(this.radioButtonSchichtAirWaterX_CheckedChanged);
			// 
			// radioButtonGasMassFlowRate
			// 
			this.radioButtonGasMassFlowRate.Location = new System.Drawing.Point(16, 264);
			this.radioButtonGasMassFlowRate.Name = "radioButtonGasMassFlowRate";
			this.radioButtonGasMassFlowRate.Size = new System.Drawing.Size(216, 24);
			this.radioButtonGasMassFlowRate.TabIndex = 21;
			this.radioButtonGasMassFlowRate.Text = "Gas Mass Flow Rate (kg/s)";
			this.radioButtonGasMassFlowRate.CheckedChanged += new System.EventHandler(this.radioButtonGasMassFlowRate_CheckedChanged);
			// 
			// radioButtonSuperficialVelocityRatio
			// 
			this.radioButtonSuperficialVelocityRatio.Location = new System.Drawing.Point(16, 248);
			this.radioButtonSuperficialVelocityRatio.Name = "radioButtonSuperficialVelocityRatio";
			this.radioButtonSuperficialVelocityRatio.Size = new System.Drawing.Size(216, 24);
			this.radioButtonSuperficialVelocityRatio.TabIndex = 20;
			this.radioButtonSuperficialVelocityRatio.Text = "Superficial Velocity Ratio";
			this.radioButtonSuperficialVelocityRatio.CheckedChanged += new System.EventHandler(this.radioButtonSuperficialVelocityRatio_CheckedChanged);
			// 
			// radioButtonHewittX
			// 
			this.radioButtonHewittX.Location = new System.Drawing.Point(16, 232);
			this.radioButtonHewittX.Name = "radioButtonHewittX";
			this.radioButtonHewittX.Size = new System.Drawing.Size(216, 24);
			this.radioButtonHewittX.TabIndex = 19;
			this.radioButtonHewittX.Text = "Hewitt\'s Coordinate X (Pa)";
			this.radioButtonHewittX.CheckedChanged += new System.EventHandler(this.radioButtonHewittX_CheckedChanged);
			// 
			// radioButtonFroudeNumber
			// 
			this.radioButtonFroudeNumber.Location = new System.Drawing.Point(16, 216);
			this.radioButtonFroudeNumber.Name = "radioButtonFroudeNumber";
			this.radioButtonFroudeNumber.Size = new System.Drawing.Size(216, 24);
			this.radioButtonFroudeNumber.TabIndex = 18;
			this.radioButtonFroudeNumber.Text = "Froude Number";
			this.radioButtonFroudeNumber.CheckedChanged += new System.EventHandler(this.radioButtonFroudeNumber_CheckedChanged);
			// 
			// radioButtonGasMassFlowFlux
			// 
			this.radioButtonGasMassFlowFlux.Location = new System.Drawing.Point(16, 200);
			this.radioButtonGasMassFlowFlux.Name = "radioButtonGasMassFlowFlux";
			this.radioButtonGasMassFlowFlux.Size = new System.Drawing.Size(216, 24);
			this.radioButtonGasMassFlowFlux.TabIndex = 17;
			this.radioButtonGasMassFlowFlux.Text = "Gas Mass Flow Flux (kg/m2s)";
			this.radioButtonGasMassFlowFlux.CheckedChanged += new System.EventHandler(this.radioButtonGasMassFlowFlux_CheckedChanged);
			// 
			// radioButtonHomogeneousVelocity
			// 
			this.radioButtonHomogeneousVelocity.Location = new System.Drawing.Point(16, 184);
			this.radioButtonHomogeneousVelocity.Name = "radioButtonHomogeneousVelocity";
			this.radioButtonHomogeneousVelocity.Size = new System.Drawing.Size(216, 24);
			this.radioButtonHomogeneousVelocity.TabIndex = 16;
			this.radioButtonHomogeneousVelocity.Text = "Homogeneous Velocity (m/s)";
			this.radioButtonHomogeneousVelocity.CheckedChanged += new System.EventHandler(this.radioButtonHomogeneousVelocity_CheckedChanged);
			// 
			// radioButtonBakerR134aX
			// 
			this.radioButtonBakerR134aX.Location = new System.Drawing.Point(16, 168);
			this.radioButtonBakerR134aX.Name = "radioButtonBakerR134aX";
			this.radioButtonBakerR134aX.Size = new System.Drawing.Size(376, 24);
			this.radioButtonBakerR134aX.TabIndex = 15;
			this.radioButtonBakerR134aX.Text = "Baker\'s Coordinate X (Reference Fluid: 6bar R134a) (kg/m2s)";
			this.radioButtonBakerR134aX.CheckedChanged += new System.EventHandler(this.radioButtonBakerR134aX_CheckedChanged);
			// 
			// radioButtonBakerAirWaterX
			// 
			this.radioButtonBakerAirWaterX.Location = new System.Drawing.Point(16, 152);
			this.radioButtonBakerAirWaterX.Name = "radioButtonBakerAirWaterX";
			this.radioButtonBakerAirWaterX.Size = new System.Drawing.Size(376, 24);
			this.radioButtonBakerAirWaterX.TabIndex = 14;
			this.radioButtonBakerAirWaterX.Text = "Baker\'s Coordinate X (Reference Fluid: 15.5C Air-Water) (kg/m2s)";
			this.radioButtonBakerAirWaterX.CheckedChanged += new System.EventHandler(this.radioButtonBakerAirWaterX_CheckedChanged);
			// 
			// radioButtonGovierR134aX
			// 
			this.radioButtonGovierR134aX.Location = new System.Drawing.Point(16, 136);
			this.radioButtonGovierR134aX.Name = "radioButtonGovierR134aX";
			this.radioButtonGovierR134aX.Size = new System.Drawing.Size(368, 24);
			this.radioButtonGovierR134aX.TabIndex = 13;
			this.radioButtonGovierR134aX.Text = "Govier and Omer\'s Coordinate X (Reference Fluid: 6bar R134a)(m/s)";
			this.radioButtonGovierR134aX.CheckedChanged += new System.EventHandler(this.radioButtonGovierR134aX_CheckedChanged);
			// 
			// radioButtonGovierAirWaterX
			// 
			this.radioButtonGovierAirWaterX.Location = new System.Drawing.Point(16, 120);
			this.radioButtonGovierAirWaterX.Name = "radioButtonGovierAirWaterX";
			this.radioButtonGovierAirWaterX.Size = new System.Drawing.Size(392, 24);
			this.radioButtonGovierAirWaterX.TabIndex = 12;
			this.radioButtonGovierAirWaterX.Text = "Govier and Omer\'s Coordinate X (Reference Fluid: 15.5C Air-Water)(m/s)";
			this.radioButtonGovierAirWaterX.CheckedChanged += new System.EventHandler(this.radioButtonGovierAirWaterX_CheckedChanged);
			// 
			// radioButtonMartinelliX
			// 
			this.radioButtonMartinelliX.Location = new System.Drawing.Point(16, 104);
			this.radioButtonMartinelliX.Name = "radioButtonMartinelliX";
			this.radioButtonMartinelliX.Size = new System.Drawing.Size(392, 24);
			this.radioButtonMartinelliX.TabIndex = 11;
			this.radioButtonMartinelliX.Text = "Lockhart-Martinelli Parameter (Blasius\'s equation for friction coefficient)";
			this.radioButtonMartinelliX.CheckedChanged += new System.EventHandler(this.radioButtonMartinelliX_CheckedChanged);
			// 
			// groupBox5
			// 
			this.groupBox5.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.labXmaxUnit,
																					this.label3,
																					this.txtXmax,
																					this.labXminUnit,
																					this.label1,
																					this.txtXmin});
			this.groupBox5.Location = new System.Drawing.Point(168, 536);
			this.groupBox5.Name = "groupBox5";
			this.groupBox5.Size = new System.Drawing.Size(216, 88);
			this.groupBox5.TabIndex = 9;
			this.groupBox5.TabStop = false;
			this.groupBox5.Text = "Coordinate Start/End";
			// 
			// labXmaxUnit
			// 
			this.labXmaxUnit.Location = new System.Drawing.Point(168, 56);
			this.labXmaxUnit.Name = "labXmaxUnit";
			this.labXmaxUnit.Size = new System.Drawing.Size(32, 16);
			this.labXmaxUnit.TabIndex = 5;
			this.labXmaxUnit.Text = "(m/s)";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 56);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(56, 16);
			this.label3.TabIndex = 4;
			this.label3.Text = "End Point";
			// 
			// txtXmax
			// 
			this.txtXmax.Location = new System.Drawing.Point(88, 56);
			this.txtXmax.Name = "txtXmax";
			this.txtXmax.Size = new System.Drawing.Size(72, 20);
			this.txtXmax.TabIndex = 3;
			this.txtXmax.Text = "100";
			// 
			// labXminUnit
			// 
			this.labXminUnit.Location = new System.Drawing.Point(168, 24);
			this.labXminUnit.Name = "labXminUnit";
			this.labXminUnit.Size = new System.Drawing.Size(32, 16);
			this.labXminUnit.TabIndex = 2;
			this.labXminUnit.Text = "(m/s)";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 32);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(64, 16);
			this.label1.TabIndex = 1;
			this.label1.Text = "Start Point";
			// 
			// txtXmin
			// 
			this.txtXmin.Location = new System.Drawing.Point(88, 24);
			this.txtXmin.Name = "txtXmin";
			this.txtXmin.Size = new System.Drawing.Size(72, 20);
			this.txtXmin.TabIndex = 0;
			this.txtXmin.Text = "0.01";
			// 
			// radioButtonLockhartMartinelliX
			// 
			this.radioButtonLockhartMartinelliX.Location = new System.Drawing.Point(16, 88);
			this.radioButtonLockhartMartinelliX.Name = "radioButtonLockhartMartinelliX";
			this.radioButtonLockhartMartinelliX.Size = new System.Drawing.Size(392, 24);
			this.radioButtonLockhartMartinelliX.TabIndex = 10;
			this.radioButtonLockhartMartinelliX.Text = "Lockhart-Martinelli Parameter (Churchill\'s equation for friction coefficient)";
			this.radioButtonLockhartMartinelliX.CheckedChanged += new System.EventHandler(this.radioButtonLockhartMartinelliX_CheckedChanged);
			// 
			// groupBox2
			// 
			this.groupBox2.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.txtXaxisDivisionNo,
																					this.radioButtonLogarithmicX,
																					this.radioButtonLinearX});
			this.groupBox2.Location = new System.Drawing.Point(16, 536);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(136, 88);
			this.groupBox2.TabIndex = 8;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "XCoordinate Scale";
			// 
			// txtXaxisDivisionNo
			// 
			this.txtXaxisDivisionNo.Location = new System.Drawing.Point(80, 56);
			this.txtXaxisDivisionNo.Name = "txtXaxisDivisionNo";
			this.txtXaxisDivisionNo.Size = new System.Drawing.Size(40, 20);
			this.txtXaxisDivisionNo.TabIndex = 3;
			this.txtXaxisDivisionNo.Text = "10";
			// 
			// radioButtonLogarithmicX
			// 
			this.radioButtonLogarithmicX.Checked = true;
			this.radioButtonLogarithmicX.Location = new System.Drawing.Point(16, 24);
			this.radioButtonLogarithmicX.Name = "radioButtonLogarithmicX";
			this.radioButtonLogarithmicX.Size = new System.Drawing.Size(80, 24);
			this.radioButtonLogarithmicX.TabIndex = 2;
			this.radioButtonLogarithmicX.TabStop = true;
			this.radioButtonLogarithmicX.Text = "logarithmic";
			// 
			// radioButtonLinearX
			// 
			this.radioButtonLinearX.Location = new System.Drawing.Point(16, 56);
			this.radioButtonLinearX.Name = "radioButtonLinearX";
			this.radioButtonLinearX.Size = new System.Drawing.Size(96, 24);
			this.radioButtonLinearX.TabIndex = 0;
			this.radioButtonLinearX.Text = "Linear";
			// 
			// radioButtonMassFlowFluxX
			// 
			this.radioButtonMassFlowFluxX.Location = new System.Drawing.Point(16, 72);
			this.radioButtonMassFlowFluxX.Name = "radioButtonMassFlowFluxX";
			this.radioButtonMassFlowFluxX.Size = new System.Drawing.Size(208, 24);
			this.radioButtonMassFlowFluxX.TabIndex = 3;
			this.radioButtonMassFlowFluxX.Text = "Mass Flow Flux (G: kg/m2s)";
			this.radioButtonMassFlowFluxX.CheckedChanged += new System.EventHandler(this.radioButtonMassFlowFluxX_CheckedChanged);
			// 
			// radioButtonGasSuperficialVelocityX
			// 
			this.radioButtonGasSuperficialVelocityX.Checked = true;
			this.radioButtonGasSuperficialVelocityX.Location = new System.Drawing.Point(16, 24);
			this.radioButtonGasSuperficialVelocityX.Name = "radioButtonGasSuperficialVelocityX";
			this.radioButtonGasSuperficialVelocityX.Size = new System.Drawing.Size(208, 24);
			this.radioButtonGasSuperficialVelocityX.TabIndex = 0;
			this.radioButtonGasSuperficialVelocityX.TabStop = true;
			this.radioButtonGasSuperficialVelocityX.Text = "Gas Superficial Velocity (Ugs: m/s)";
			this.radioButtonGasSuperficialVelocityX.CheckedChanged += new System.EventHandler(this.radioButtonGasSuperficialVelocityX_CheckedChanged);
			// 
			// radioButtonQualityX
			// 
			this.radioButtonQualityX.Location = new System.Drawing.Point(16, 56);
			this.radioButtonQualityX.Name = "radioButtonQualityX";
			this.radioButtonQualityX.Size = new System.Drawing.Size(208, 24);
			this.radioButtonQualityX.TabIndex = 2;
			this.radioButtonQualityX.Text = "Quality (x)";
			this.radioButtonQualityX.CheckedChanged += new System.EventHandler(this.radioButtonQualityX_CheckedChanged);
			// 
			// radioButtonLiquidSuperficialVelocityX
			// 
			this.radioButtonLiquidSuperficialVelocityX.Location = new System.Drawing.Point(16, 40);
			this.radioButtonLiquidSuperficialVelocityX.Name = "radioButtonLiquidSuperficialVelocityX";
			this.radioButtonLiquidSuperficialVelocityX.Size = new System.Drawing.Size(208, 24);
			this.radioButtonLiquidSuperficialVelocityX.TabIndex = 1;
			this.radioButtonLiquidSuperficialVelocityX.Text = "Liquid Superficial Velocity (Uls: m/s)";
			this.radioButtonLiquidSuperficialVelocityX.CheckedChanged += new System.EventHandler(this.radioButtonLiquidSuperficialVelocityX_CheckedChanged);
			// 
			// groupBox3
			// 
			this.groupBox3.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.radioButtonWels,
																					this.radioButtonYY,
																					this.radioButtonGWels,
																					this.radioButtonBarneaY,
																					this.radioButtonLiquidWeNumber,
																					this.radioButtonModifiedLiquidSuperficialVelocity4,
																					this.radioButtonModifiedLiquidSuperficialVelocity3,
																					this.radioButtonModifiedLiquidSuperficialVelocity2,
																					this.radioButtonModifiedLiquidSuperficialVelocity1,
																					this.radioButtonLiquidReNumber,
																					this.radioButtonSchichtR134aY,
																					this.radioButtonSchichtAirWaterY,
																					this.radioButtonLiquidMassFlowRate,
																					this.radioButtonHewittY,
																					this.radioButtonLiquidMassFlowFlux,
																					this.radioButtonVolumeFlowRatio,
																					this.radioButtonBakerR134aY,
																					this.radioButtonBakerAirWaterY,
																					this.radioButtonGovierR134aY,
																					this.groupBox6,
																					this.groupBox4,
																					this.radioButtonMassFlowFluxY,
																					this.radioButtonGasSuperficialVelocityY,
																					this.radioButtonQualityY,
																					this.radioButtonLiquidSuperficialVelocityY,
																					this.radioButtonGovierAirWaterY,
																					this.radioButtonMartinelliY,
																					this.radioButtonLockhartMartinelliY});
			this.groupBox3.Location = new System.Drawing.Point(432, 16);
			this.groupBox3.Name = "groupBox3";
			this.groupBox3.Size = new System.Drawing.Size(400, 640);
			this.groupBox3.TabIndex = 8;
			this.groupBox3.TabStop = false;
			this.groupBox3.Text = "Y-axis Coordinate";
			// 
			// radioButtonYY
			// 
			this.radioButtonYY.Location = new System.Drawing.Point(16, 488);
			this.radioButtonYY.Name = "radioButtonYY";
			this.radioButtonYY.Size = new System.Drawing.Size(64, 24);
			this.radioButtonYY.TabIndex = 35;
			this.radioButtonYY.Text = "YY";
			this.radioButtonYY.CheckedChanged += new System.EventHandler(this.radioButtonYY_CheckedChanged);
			// 
			// radioButtonGWels
			// 
			this.radioButtonGWels.Location = new System.Drawing.Point(16, 440);
			this.radioButtonGWels.Name = "radioButtonGWels";
			this.radioButtonGWels.Size = new System.Drawing.Size(64, 24);
			this.radioButtonGWels.TabIndex = 34;
			this.radioButtonGWels.Text = "G.Wels";
			this.radioButtonGWels.CheckedChanged += new System.EventHandler(this.radioButtonGWels_CheckedChanged);
			// 
			// radioButtonBarneaY
			// 
			this.radioButtonBarneaY.Location = new System.Drawing.Point(16, 344);
			this.radioButtonBarneaY.Name = "radioButtonBarneaY";
			this.radioButtonBarneaY.Size = new System.Drawing.Size(344, 24);
			this.radioButtonBarneaY.TabIndex = 29;
			this.radioButtonBarneaY.Text = "Barnea Parameter Y (Churchill\'s equation for friction coefficient)";
			this.radioButtonBarneaY.CheckedChanged += new System.EventHandler(this.radioButtonBarneaY_CheckedChanged);
			// 
			// radioButtonLiquidWeNumber
			// 
			this.radioButtonLiquidWeNumber.Location = new System.Drawing.Point(16, 328);
			this.radioButtonLiquidWeNumber.Name = "radioButtonLiquidWeNumber";
			this.radioButtonLiquidWeNumber.Size = new System.Drawing.Size(216, 24);
			this.radioButtonLiquidWeNumber.TabIndex = 32;
			this.radioButtonLiquidWeNumber.Text = "We Number Based on Uls";
			this.radioButtonLiquidWeNumber.CheckedChanged += new System.EventHandler(this.radioButtonLiquidWeNumber_CheckedChanged);
			// 
			// radioButtonModifiedLiquidSuperficialVelocity4
			// 
			this.radioButtonModifiedLiquidSuperficialVelocity4.Location = new System.Drawing.Point(16, 408);
			this.radioButtonModifiedLiquidSuperficialVelocity4.Name = "radioButtonModifiedLiquidSuperficialVelocity4";
			this.radioButtonModifiedLiquidSuperficialVelocity4.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedLiquidSuperficialVelocity4.TabIndex = 30;
			this.radioButtonModifiedLiquidSuperficialVelocity4.Text = "Modified Liquid Superficial Velocity 4";
			this.radioButtonModifiedLiquidSuperficialVelocity4.CheckedChanged += new System.EventHandler(this.radioButtonModifiedLiquidSuperficialVelocity4_CheckedChanged);
			// 
			// radioButtonModifiedLiquidSuperficialVelocity3
			// 
			this.radioButtonModifiedLiquidSuperficialVelocity3.Location = new System.Drawing.Point(16, 392);
			this.radioButtonModifiedLiquidSuperficialVelocity3.Name = "radioButtonModifiedLiquidSuperficialVelocity3";
			this.radioButtonModifiedLiquidSuperficialVelocity3.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedLiquidSuperficialVelocity3.TabIndex = 28;
			this.radioButtonModifiedLiquidSuperficialVelocity3.Text = "Modified Liquid Superficial Velocity 3";
			this.radioButtonModifiedLiquidSuperficialVelocity3.CheckedChanged += new System.EventHandler(this.radioButtonModifiedLiquidSuperficialVelocity3_CheckedChanged);
			// 
			// radioButtonModifiedLiquidSuperficialVelocity2
			// 
			this.radioButtonModifiedLiquidSuperficialVelocity2.Location = new System.Drawing.Point(16, 376);
			this.radioButtonModifiedLiquidSuperficialVelocity2.Name = "radioButtonModifiedLiquidSuperficialVelocity2";
			this.radioButtonModifiedLiquidSuperficialVelocity2.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedLiquidSuperficialVelocity2.TabIndex = 27;
			this.radioButtonModifiedLiquidSuperficialVelocity2.Text = "Modified Liquid Superficial Velocity 2";
			this.radioButtonModifiedLiquidSuperficialVelocity2.CheckedChanged += new System.EventHandler(this.radioButtonModifiedLiquidSuperficialVelocity2_CheckedChanged);
			// 
			// radioButtonModifiedLiquidSuperficialVelocity1
			// 
			this.radioButtonModifiedLiquidSuperficialVelocity1.Location = new System.Drawing.Point(16, 360);
			this.radioButtonModifiedLiquidSuperficialVelocity1.Name = "radioButtonModifiedLiquidSuperficialVelocity1";
			this.radioButtonModifiedLiquidSuperficialVelocity1.Size = new System.Drawing.Size(376, 24);
			this.radioButtonModifiedLiquidSuperficialVelocity1.TabIndex = 26;
			this.radioButtonModifiedLiquidSuperficialVelocity1.Text = "Modified Liquid Superficial Velocity 1";
			this.radioButtonModifiedLiquidSuperficialVelocity1.CheckedChanged += new System.EventHandler(this.radioButtonModifiedLiquidSuperficialVelocity1_CheckedChanged);
			// 
			// radioButtonLiquidReNumber
			// 
			this.radioButtonLiquidReNumber.Location = new System.Drawing.Point(16, 312);
			this.radioButtonLiquidReNumber.Name = "radioButtonLiquidReNumber";
			this.radioButtonLiquidReNumber.Size = new System.Drawing.Size(216, 24);
			this.radioButtonLiquidReNumber.TabIndex = 25;
			this.radioButtonLiquidReNumber.Text = "Re Number Based on Uls";
			this.radioButtonLiquidReNumber.CheckedChanged += new System.EventHandler(this.radioButtonLiquidReNumber_CheckedChanged);
			// 
			// radioButtonSchichtR134aY
			// 
			this.radioButtonSchichtR134aY.Location = new System.Drawing.Point(16, 296);
			this.radioButtonSchichtR134aY.Name = "radioButtonSchichtR134aY";
			this.radioButtonSchichtR134aY.Size = new System.Drawing.Size(376, 24);
			this.radioButtonSchichtR134aY.TabIndex = 24;
			this.radioButtonSchichtR134aY.Text = "Schicht\'s Coordinate Y (Reference Fluid: 6bar R134a) (kg/m2s)";
			this.radioButtonSchichtR134aY.CheckedChanged += new System.EventHandler(this.radioButtonSchichtR134aY_CheckedChanged);
			// 
			// radioButtonSchichtAirWaterY
			// 
			this.radioButtonSchichtAirWaterY.Location = new System.Drawing.Point(16, 280);
			this.radioButtonSchichtAirWaterY.Name = "radioButtonSchichtAirWaterY";
			this.radioButtonSchichtAirWaterY.Size = new System.Drawing.Size(368, 24);
			this.radioButtonSchichtAirWaterY.TabIndex = 23;
			this.radioButtonSchichtAirWaterY.Text = "Schicht\'s Coordinate Y (Reference Fluid: 15.5C Air-Water) (kg/m2s)";
			this.radioButtonSchichtAirWaterY.CheckedChanged += new System.EventHandler(this.radioButtonSchichtAirWaterY_CheckedChanged);
			// 
			// radioButtonLiquidMassFlowRate
			// 
			this.radioButtonLiquidMassFlowRate.Location = new System.Drawing.Point(16, 264);
			this.radioButtonLiquidMassFlowRate.Name = "radioButtonLiquidMassFlowRate";
			this.radioButtonLiquidMassFlowRate.Size = new System.Drawing.Size(216, 24);
			this.radioButtonLiquidMassFlowRate.TabIndex = 22;
			this.radioButtonLiquidMassFlowRate.Text = "Liquid Mass Flow Rate (kg/s)";
			this.radioButtonLiquidMassFlowRate.CheckedChanged += new System.EventHandler(this.radioButtonLiquidMassFlowRate_CheckedChanged);
			// 
			// radioButtonHewittY
			// 
			this.radioButtonHewittY.Location = new System.Drawing.Point(16, 232);
			this.radioButtonHewittY.Name = "radioButtonHewittY";
			this.radioButtonHewittY.Size = new System.Drawing.Size(216, 24);
			this.radioButtonHewittY.TabIndex = 20;
			this.radioButtonHewittY.Text = "Hewitt\'s Coordinate Y (Pa)";
			this.radioButtonHewittY.CheckedChanged += new System.EventHandler(this.radioButtonHewittY_CheckedChanged);
			// 
			// radioButtonLiquidMassFlowFlux
			// 
			this.radioButtonLiquidMassFlowFlux.Location = new System.Drawing.Point(16, 200);
			this.radioButtonLiquidMassFlowFlux.Name = "radioButtonLiquidMassFlowFlux";
			this.radioButtonLiquidMassFlowFlux.Size = new System.Drawing.Size(216, 24);
			this.radioButtonLiquidMassFlowFlux.TabIndex = 18;
			this.radioButtonLiquidMassFlowFlux.Text = "Liquid Mass Flow Flux (kg/m2s)";
			this.radioButtonLiquidMassFlowFlux.CheckedChanged += new System.EventHandler(this.radioButtonLiquidMassFlowFlux_CheckedChanged);
			// 
			// radioButtonVolumeFlowRatio
			// 
			this.radioButtonVolumeFlowRatio.Location = new System.Drawing.Point(16, 184);
			this.radioButtonVolumeFlowRatio.Name = "radioButtonVolumeFlowRatio";
			this.radioButtonVolumeFlowRatio.Size = new System.Drawing.Size(216, 24);
			this.radioButtonVolumeFlowRatio.TabIndex = 17;
			this.radioButtonVolumeFlowRatio.Text = "Volume Flow Ratio";
			this.radioButtonVolumeFlowRatio.CheckedChanged += new System.EventHandler(this.radioButtonVolumeFlowRatio_CheckedChanged);
			// 
			// radioButtonBakerR134aY
			// 
			this.radioButtonBakerR134aY.Location = new System.Drawing.Point(16, 168);
			this.radioButtonBakerR134aY.Name = "radioButtonBakerR134aY";
			this.radioButtonBakerR134aY.Size = new System.Drawing.Size(376, 24);
			this.radioButtonBakerR134aY.TabIndex = 16;
			this.radioButtonBakerR134aY.Text = "Baker\'s Coordinate Y (Reference Fluid: 6bar R134a) (kg/m2s)";
			this.radioButtonBakerR134aY.CheckedChanged += new System.EventHandler(this.radioButtonBakerR134aY_CheckedChanged);
			// 
			// radioButtonBakerAirWaterY
			// 
			this.radioButtonBakerAirWaterY.Location = new System.Drawing.Point(16, 152);
			this.radioButtonBakerAirWaterY.Name = "radioButtonBakerAirWaterY";
			this.radioButtonBakerAirWaterY.Size = new System.Drawing.Size(376, 24);
			this.radioButtonBakerAirWaterY.TabIndex = 15;
			this.radioButtonBakerAirWaterY.Text = "Baker\'s Coordinate Y (Reference Fluid: 15.5C Air-Water) (kg/m2s)";
			this.radioButtonBakerAirWaterY.CheckedChanged += new System.EventHandler(this.radioButtonBakerAirWaterY_CheckedChanged);
			// 
			// radioButtonGovierR134aY
			// 
			this.radioButtonGovierR134aY.Location = new System.Drawing.Point(16, 136);
			this.radioButtonGovierR134aY.Name = "radioButtonGovierR134aY";
			this.radioButtonGovierR134aY.Size = new System.Drawing.Size(376, 24);
			this.radioButtonGovierR134aY.TabIndex = 14;
			this.radioButtonGovierR134aY.Text = "Govier and Omer\'s Coordinate Y (Reference Fluid: 6bar R134a)(m/s)";
			this.radioButtonGovierR134aY.CheckedChanged += new System.EventHandler(this.radioButtonGovierR134aY_CheckedChanged);
			// 
			// groupBox6
			// 
			this.groupBox6.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.labYmaxUnit,
																					this.label4,
																					this.txtYmax,
																					this.labYminUnit,
																					this.label6,
																					this.txtYmin});
			this.groupBox6.Location = new System.Drawing.Point(168, 536);
			this.groupBox6.Name = "groupBox6";
			this.groupBox6.Size = new System.Drawing.Size(216, 88);
			this.groupBox6.TabIndex = 10;
			this.groupBox6.TabStop = false;
			this.groupBox6.Text = "Coordinate Start/End";
			// 
			// labYmaxUnit
			// 
			this.labYmaxUnit.Location = new System.Drawing.Point(168, 56);
			this.labYmaxUnit.Name = "labYmaxUnit";
			this.labYmaxUnit.Size = new System.Drawing.Size(32, 16);
			this.labYmaxUnit.TabIndex = 5;
			this.labYmaxUnit.Text = "(m/s)";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(16, 56);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(64, 16);
			this.label4.TabIndex = 4;
			this.label4.Text = "End Point";
			// 
			// txtYmax
			// 
			this.txtYmax.Location = new System.Drawing.Point(88, 56);
			this.txtYmax.Name = "txtYmax";
			this.txtYmax.Size = new System.Drawing.Size(72, 20);
			this.txtYmax.TabIndex = 3;
			this.txtYmax.Text = "10";
			// 
			// labYminUnit
			// 
			this.labYminUnit.Location = new System.Drawing.Point(168, 24);
			this.labYminUnit.Name = "labYminUnit";
			this.labYminUnit.Size = new System.Drawing.Size(32, 16);
			this.labYminUnit.TabIndex = 2;
			this.labYminUnit.Text = "(m/s)";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(16, 24);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(64, 16);
			this.label6.TabIndex = 1;
			this.label6.Text = "Start Point";
			// 
			// txtYmin
			// 
			this.txtYmin.Location = new System.Drawing.Point(88, 24);
			this.txtYmin.Name = "txtYmin";
			this.txtYmin.Size = new System.Drawing.Size(72, 20);
			this.txtYmin.TabIndex = 0;
			this.txtYmin.Text = "0.01";
			// 
			// groupBox4
			// 
			this.groupBox4.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.txtYaxisDivisionNo,
																					this.radioButtonLogarithmicY,
																					this.radioButtonLinearY});
			this.groupBox4.Location = new System.Drawing.Point(16, 536);
			this.groupBox4.Name = "groupBox4";
			this.groupBox4.Size = new System.Drawing.Size(136, 88);
			this.groupBox4.TabIndex = 9;
			this.groupBox4.TabStop = false;
			this.groupBox4.Text = "Coordinate Scale";
			// 
			// txtYaxisDivisionNo
			// 
			this.txtYaxisDivisionNo.Location = new System.Drawing.Point(80, 56);
			this.txtYaxisDivisionNo.Name = "txtYaxisDivisionNo";
			this.txtYaxisDivisionNo.Size = new System.Drawing.Size(40, 20);
			this.txtYaxisDivisionNo.TabIndex = 4;
			this.txtYaxisDivisionNo.Text = "10";
			// 
			// radioButtonLogarithmicY
			// 
			this.radioButtonLogarithmicY.Checked = true;
			this.radioButtonLogarithmicY.Location = new System.Drawing.Point(16, 24);
			this.radioButtonLogarithmicY.Name = "radioButtonLogarithmicY";
			this.radioButtonLogarithmicY.Size = new System.Drawing.Size(80, 24);
			this.radioButtonLogarithmicY.TabIndex = 2;
			this.radioButtonLogarithmicY.TabStop = true;
			this.radioButtonLogarithmicY.Text = "logarithmic";
			// 
			// radioButtonLinearY
			// 
			this.radioButtonLinearY.Location = new System.Drawing.Point(16, 56);
			this.radioButtonLinearY.Name = "radioButtonLinearY";
			this.radioButtonLinearY.Size = new System.Drawing.Size(56, 24);
			this.radioButtonLinearY.TabIndex = 0;
			this.radioButtonLinearY.Text = "Linear ";
			// 
			// radioButtonMassFlowFluxY
			// 
			this.radioButtonMassFlowFluxY.Location = new System.Drawing.Point(16, 72);
			this.radioButtonMassFlowFluxY.Name = "radioButtonMassFlowFluxY";
			this.radioButtonMassFlowFluxY.Size = new System.Drawing.Size(208, 24);
			this.radioButtonMassFlowFluxY.TabIndex = 3;
			this.radioButtonMassFlowFluxY.Text = "Mass Flow Flux (G: kg/m2s)";
			this.radioButtonMassFlowFluxY.CheckedChanged += new System.EventHandler(this.radioButtonMassFlowFluxY_CheckedChanged);
			// 
			// radioButtonGasSuperficialVelocityY
			// 
			this.radioButtonGasSuperficialVelocityY.Location = new System.Drawing.Point(16, 24);
			this.radioButtonGasSuperficialVelocityY.Name = "radioButtonGasSuperficialVelocityY";
			this.radioButtonGasSuperficialVelocityY.Size = new System.Drawing.Size(208, 24);
			this.radioButtonGasSuperficialVelocityY.TabIndex = 0;
			this.radioButtonGasSuperficialVelocityY.Text = "Gas Superficial Velocity (Ugs: m/s)";
			this.radioButtonGasSuperficialVelocityY.CheckedChanged += new System.EventHandler(this.radioButtonGasSuperficialVelocityY_CheckedChanged);
			// 
			// radioButtonQualityY
			// 
			this.radioButtonQualityY.Location = new System.Drawing.Point(16, 56);
			this.radioButtonQualityY.Name = "radioButtonQualityY";
			this.radioButtonQualityY.Size = new System.Drawing.Size(208, 24);
			this.radioButtonQualityY.TabIndex = 2;
			this.radioButtonQualityY.Text = "Quality (x)";
			this.radioButtonQualityY.CheckedChanged += new System.EventHandler(this.radioButtonQualityY_CheckedChanged);
			// 
			// radioButtonLiquidSuperficialVelocityY
			// 
			this.radioButtonLiquidSuperficialVelocityY.Checked = true;
			this.radioButtonLiquidSuperficialVelocityY.Location = new System.Drawing.Point(16, 40);
			this.radioButtonLiquidSuperficialVelocityY.Name = "radioButtonLiquidSuperficialVelocityY";
			this.radioButtonLiquidSuperficialVelocityY.Size = new System.Drawing.Size(208, 24);
			this.radioButtonLiquidSuperficialVelocityY.TabIndex = 1;
			this.radioButtonLiquidSuperficialVelocityY.TabStop = true;
			this.radioButtonLiquidSuperficialVelocityY.Text = "Liquid Superficial Velocity (Uls: m/s)";
			this.radioButtonLiquidSuperficialVelocityY.CheckedChanged += new System.EventHandler(this.radioButtonLiquidSuperficialVelocityY_CheckedChanged);
			// 
			// radioButtonGovierAirWaterY
			// 
			this.radioButtonGovierAirWaterY.Location = new System.Drawing.Point(16, 120);
			this.radioButtonGovierAirWaterY.Name = "radioButtonGovierAirWaterY";
			this.radioButtonGovierAirWaterY.Size = new System.Drawing.Size(392, 24);
			this.radioButtonGovierAirWaterY.TabIndex = 13;
			this.radioButtonGovierAirWaterY.Text = "Govier and Omer\'s Coordinate Y (Reference Fluid: 15.5C Air-Water)(m/s)";
			this.radioButtonGovierAirWaterY.CheckedChanged += new System.EventHandler(this.radioButtonGovierAirWaterY_CheckedChanged);
			// 
			// radioButtonMartinelliY
			// 
			this.radioButtonMartinelliY.Location = new System.Drawing.Point(16, 104);
			this.radioButtonMartinelliY.Name = "radioButtonMartinelliY";
			this.radioButtonMartinelliY.Size = new System.Drawing.Size(384, 24);
			this.radioButtonMartinelliY.TabIndex = 12;
			this.radioButtonMartinelliY.Text = "Lockhart-Martinelli Parameter (Blasius\'s equation for friction coefficient)";
			this.radioButtonMartinelliY.CheckedChanged += new System.EventHandler(this.radioButtonMartinelliY_CheckedChanged);
			// 
			// radioButtonLockhartMartinelliY
			// 
			this.radioButtonLockhartMartinelliY.Location = new System.Drawing.Point(16, 88);
			this.radioButtonLockhartMartinelliY.Name = "radioButtonLockhartMartinelliY";
			this.radioButtonLockhartMartinelliY.Size = new System.Drawing.Size(392, 24);
			this.radioButtonLockhartMartinelliY.TabIndex = 11;
			this.radioButtonLockhartMartinelliY.Text = "Lockhart-Martinelli Parameter (Churchill\'s equation for friction coefficient)";
			this.radioButtonLockhartMartinelliY.CheckedChanged += new System.EventHandler(this.radioButtonLockhartMartinelliY_CheckedChanged);
			// 
			// cmdDefault
			// 
			this.cmdDefault.Location = new System.Drawing.Point(608, 664);
			this.cmdDefault.Name = "cmdDefault";
			this.cmdDefault.Size = new System.Drawing.Size(64, 24);
			this.cmdDefault.TabIndex = 9;
			this.cmdDefault.Text = "Default";
			this.cmdDefault.Click += new System.EventHandler(this.cmdDefault_Click);
			// 
			// radioButtonWels
			// 
			this.radioButtonWels.Location = new System.Drawing.Point(16, 464);
			this.radioButtonWels.Name = "radioButtonWels";
			this.radioButtonWels.Size = new System.Drawing.Size(56, 24);
			this.radioButtonWels.TabIndex = 36;
			this.radioButtonWels.Text = "Wels";
			this.radioButtonWels.CheckedChanged += new System.EventHandler(this.radioButtonWels_CheckedChanged);
			// 
			// FrmSetCoordinate
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(848, 694);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.groupBox1,
																		  this.groupBox3,
																		  this.cmdDefault,
																		  this.cmdExit,
																		  this.cmdReturn});
			this.Name = "FrmSetCoordinate";
			this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
			this.Text = "Set Coordinate";
			this.groupBox1.ResumeLayout(false);
			this.groupBox5.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.groupBox3.ResumeLayout(false);
			this.groupBox6.ResumeLayout(false);
			this.groupBox4.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void SetXCoordinate () //(m)
		{
			Xmin=double.Parse(this.txtXmin.Text);
			Xmax=double.Parse(this.txtXmax.Text);
			if (this.radioButtonGasSuperficialVelocityX.Checked)
			{
				XaxisTitle ="Gas Superficial Velocity";
			}
			else if (this.radioButtonLiquidSuperficialVelocityX.Checked)
			{
				XaxisTitle ="Liquid Superficial Velocity";
			}
			else if (this.radioButtonQualityX.Checked)
			{
				XaxisTitle ="Quality";
			}
			else if (this.radioButtonMassFlowFluxX.Checked)
			{
				XaxisTitle ="Mass Flow Flux";
			}
			else if (this.radioButtonLockhartMartinelliX.Checked)
			{
				XaxisTitle ="Lockhart-Martinelli Parameter (Churchill's equation for friction coefficient)";
			}
			else if (this.radioButtonMartinelliX.Checked)
			{
				XaxisTitle ="Lockhart-Martinelli Parameter (Blasius's equation for friction coefficient)";
			}
			else if (this.radioButtonGovierAirWaterX.Checked)
			{
				XaxisTitle ="Govier and Omer's Coordinate X (Reference Fluid: 15.5C Air-Water)";
			}
			else if (this.radioButtonGovierR134aX.Checked)
			{
				XaxisTitle ="Govier and Omer's Coordinate X (Reference Fluid: 6bar R134a)";
			}
			else if (this.radioButtonBakerAirWaterX.Checked)
			{
				XaxisTitle ="Baker's Coordinate X (Reference Fluid: 15.5C Air-Water)";
			}
			else if (this.radioButtonBakerR134aX.Checked)
			{
				XaxisTitle ="Baker's Coordinate X (Reference Fluid: 6bar R134a)";
			}
			else if (this.radioButtonHomogeneousVelocity.Checked)
			{
				XaxisTitle ="Homogeneous Velocity";
			}
			else if (this.radioButtonGasMassFlowFlux.Checked)
			{
				XaxisTitle ="Gas Mass Flow Flux";
			}
			else if (this.radioButtonFroudeNumber.Checked)
			{
				XaxisTitle ="Froude Number";
			}
			else if (this.radioButtonHewittX.Checked)
			{
				XaxisTitle ="Hewitt's Coordinate X";
			}
			else if (this.radioButtonSuperficialVelocityRatio.Checked)
			{
				XaxisTitle ="Superficial Velocity Ratio";
			}
			else if (this.radioButtonGasMassFlowRate.Checked)
			{
				XaxisTitle ="Gas Mass Flow Rate";
			}
			else if (this.radioButtonSchichtAirWaterX.Checked)
			{
				XaxisTitle ="Schicht's Coordinate X (Reference Fluid: 15.5C Air-Water)";
			}
			else if (this.radioButtonSchichtR134aX.Checked)
			{
				XaxisTitle ="Schicht's Coordinate X (Reference Fluid: 6bar R134a)";
			}
			else if (this.radioButtonGasReNumber.Checked)
			{
				XaxisTitle ="Re Number Based on Ugs";
			}
			else if (this.radioButtonGasWeNumber.Checked)
			{
				XaxisTitle ="We Number Based on Ugs";
			}
			else if (this.radioButtonModifiedGasSuperficialVelocity1.Checked)
			{
				XaxisTitle ="Modified Gas Superficial Velocity 1";
			}
			else if (this.radioButtonModifiedGasSuperficialVelocity2.Checked)
			{
				XaxisTitle ="Modified Gas Superficial Velocity 2";
			}
			else if (this.radioButtonModifiedGasSuperficialVelocity3.Checked)
			{
				XaxisTitle ="Modified Gas Superficial Velocity 3";
			}
			else if (this.radioButtonModifiedGasSuperficialVelocity4.Checked)
			{
				XaxisTitle ="Modified Gas Superficial Velocity 4";
			}
			else if (this.radioButtonXWegs.Checked)
			{
				XaxisTitle ="XWegs";
			}
			else if (this.radioButtonFrgsRegs.Checked)
			{
				XaxisTitle ="Frgs.Regs";
			}
			else if (this.radioButtonXX.Checked)
			{
				XaxisTitle ="XX";
			}
			else
			{
				XaxisTitle ="";
			}
			if (this.radioButtonLogarithmicX.Checked)
			{
				XaxisScale ="Logarithmic";
				XaxisDivisionNo=Math.Log10(Xmax/Xmin);
			}
			else
			{
				XaxisScale ="Linear";
				XaxisDivisionNo=double.Parse(this.txtXaxisDivisionNo.Text);
			}
			XaxisUnit=this.labXminUnit.Text;
		}

		private void SetYCoordinate () //(m)
		{
			Ymin=double.Parse(this.txtYmin.Text);
			Ymax=double.Parse(this.txtYmax.Text);
			if (this.radioButtonGasSuperficialVelocityY.Checked)
			{
				YaxisTitle ="Gas Superficial Velocity";
			}
			else if (this.radioButtonLiquidSuperficialVelocityY.Checked)
			{
				YaxisTitle ="Liquid Superficial Velocity";
			}
			else if (this.radioButtonQualityY.Checked)
			{
				YaxisTitle ="Quality";
			}
			else if (this.radioButtonMassFlowFluxY.Checked)
			{
				YaxisTitle ="Mass Flow Flux";
			}
			else if (this.radioButtonLockhartMartinelliY.Checked)
			{
				YaxisTitle ="Lockhart-Martinelli Parameter (Churchill's equation for friction coefficient)";
			}
			else if (this.radioButtonMartinelliY.Checked)
			{
				YaxisTitle ="Lockhart-Martinelli Parameter (Blasius's equation for friction coefficient)";
			}
			else if (this.radioButtonGovierAirWaterY.Checked)
			{
				YaxisTitle ="Govier and Omer's Coordinate Y (Reference Fluid: 15.5C Air-Water)";
			}
			else if (this.radioButtonGovierR134aY.Checked)
			{
				YaxisTitle ="Govier and Omer's Coordinate Y (Reference Fluid: 6bar R134a)";
			}
			else if (this.radioButtonBakerAirWaterY.Checked)
			{
				YaxisTitle ="Baker's Coordinate Y (Reference Fluid: 15.5C Air-Water)";
			}
			else if (this.radioButtonBakerR134aY.Checked)
			{
				YaxisTitle ="Baker's Coordinate Y (Reference Fluid: 6bar R134a)";
			}			
			else if (this.radioButtonVolumeFlowRatio.Checked)
			{
				YaxisTitle ="Volume Flow Ratio";
			}			
			else if (this.radioButtonLiquidMassFlowFlux.Checked)
			{
				YaxisTitle ="Liquid Mass Flow Flux";
			}
			else if (this.radioButtonHewittY.Checked)
			{
				YaxisTitle ="Hewitt's Coordinate Y";
			}
			else if (this.radioButtonLiquidMassFlowRate.Checked)
			{
				YaxisTitle ="Liquid Mass Flow Rate";
			}
			else if (this.radioButtonSchichtAirWaterY.Checked)
			{
				YaxisTitle ="Schicht's Coordinate Y (Reference Fluid: 15.5C Air-Water)";
			}
			else if (this.radioButtonSchichtR134aY.Checked)
			{
				YaxisTitle ="Schicht's Coordinate Y (Reference Fluid: 6bar R134a)";
			}			
			else if (this.radioButtonLiquidReNumber.Checked)
			{
				YaxisTitle ="Re Number Based on Uls";
			}
			else if (this.radioButtonLiquidWeNumber.Checked)
			{
				YaxisTitle ="We Number Based on Uls";
			}
			else if (this.radioButtonBarneaY.Checked)
			{
				YaxisTitle ="Barnea Parameter";
			}
			else if (this.radioButtonModifiedLiquidSuperficialVelocity1.Checked)
			{
				YaxisTitle ="Modified Liquid Superficial Velocity 1";
			}
			else if (this.radioButtonModifiedLiquidSuperficialVelocity2.Checked)
			{
				YaxisTitle ="Modified Liquid Superficial Velocity 2";
			}
			else if (this.radioButtonModifiedLiquidSuperficialVelocity3.Checked)
			{
				YaxisTitle ="Modified Liquid Superficial Velocity 3";
			}
			else if (this.radioButtonModifiedLiquidSuperficialVelocity4.Checked)
			{
				YaxisTitle ="Modified Liquid Superficial Velocity 4";
			}
			else if (this.radioButtonGWels.Checked)
			{
				YaxisTitle ="GWels";
			}
			else if (this.radioButtonWels.Checked)
			{
				YaxisTitle ="Wels";
			}
			else if (this.radioButtonYY.Checked)
			{
				YaxisTitle ="YY";
			}
			else
			{
				YaxisTitle ="";
			}

			if (this.radioButtonLogarithmicY.Checked)
			{
				YaxisScale ="Logarithmic";
				YaxisDivisionNo=Math.Log10(Ymax/Ymin);
			}
			else
			{
				YaxisScale ="Linear";
				YaxisDivisionNo=double.Parse(this.txtYaxisDivisionNo.Text);
			}
			YaxisUnit=this.labYminUnit.Text;
		}

		private void radioButtonGasSuperficialVelocityX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(m/s)";
			this.labXmaxUnit.Text="(m/s)";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
		}
		private void radioButtonLiquidSuperficialVelocityX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(m/s)";
			this.labXmaxUnit.Text="(m/s)";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="10";
			this.radioButtonLogarithmicX.Checked=true;
		}
		private void radioButtonQualityX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="1.0";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonMassFlowFluxY.Checked=true;
		}
		private void radioButtonMassFlowFluxX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(kg/m2s)";
			this.labXmaxUnit.Text="(kg/m2s)";
			this.txtXmin.Text="10";
			this.txtXmax.Text="100000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonQualityY.Checked=true;	
		}
		private void radioButtonGasSuperficialVelocityY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(m/s)";
			this.labYmaxUnit.Text="(m/s)";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="100";
			this.radioButtonLogarithmicY.Checked=true;
		}
		private void radioButtonLiquidSuperficialVelocityY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(m/s)";
			this.labYmaxUnit.Text="(m/s)";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="10";
			this.radioButtonLogarithmicY.Checked=true;
		}
		private void radioButtonQualityY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.001";
			this.txtYmax.Text="1.0";
			this.radioButtonLogarithmicY.Checked=true;
		}
		private void radioButtonMassFlowFluxY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="10";
			this.txtYmax.Text="10000";
			this.radioButtonLogarithmicY.Checked=true;
		}
		private void radioButtonLockhartMartinelliX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.1";
			this.txtXmax.Text="1000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonMassFlowFluxY.Checked=true;
		}

		private void radioButtonLockhartMartinelliY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="1000";
			this.radioButtonLogarithmicY.Checked=true;
		}

		private void radioButtonMartinelliX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.1";
			this.txtXmax.Text="1000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonMassFlowFluxY.Checked=true;
		}

		private void radioButtonMartinelliY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="1000";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void radioButtonGovierAirWaterX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(m/s)";
			this.labXmaxUnit.Text="(m/s)";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonGovierAirWaterY.Checked=true;
		}

		private void radioButtonGovierAirWaterY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(m/s)";
			this.labYmaxUnit.Text="(m/s)";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="10";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void radioButtonGovierR134aX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(m/s)";
			this.labXmaxUnit.Text="(m/s)";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonGovierR134aY.Checked=true;	
		}

		private void radioButtonGovierR134aY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(m/s)";
			this.labYmaxUnit.Text="(m/s)";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="10";
			this.radioButtonLogarithmicY.Checked=true;				
		}

		private void radioButtonBakerAirWaterX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(kg/m2s)";
			this.labXmaxUnit.Text="(kg/m2s)";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonBakerAirWaterY.Checked=true;	
		}

		private void radioButtonBakerAirWaterY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="100";
			this.txtYmax.Text="100000";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void radioButtonBakerR134aX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(kg/m2s)";
			this.labXmaxUnit.Text="(kg/m2s)";
			this.txtXmin.Text="0.1";
			this.txtXmax.Text="1000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonBakerR134aY.Checked=true;	
		}

		private void radioButtonBakerR134aY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="10";
			this.txtYmax.Text="10000";
			this.radioButtonLogarithmicY.Checked=true;						
		}

		private void radioButtonHomogeneousVelocity_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(m/s)";
			this.labXmaxUnit.Text="(m/s)";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonVolumeFlowRatio.Checked=true;	
		}

		private void radioButtonVolumeFlowRatio_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.0";
			this.txtYmax.Text="1.0";
			this.radioButtonLinearY.Checked=true;	
		}

		private void radioButtonGasMassFlowFlux_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(kg/m2s)";
			this.labXmaxUnit.Text="(kg/m2s)";
			this.txtXmin.Text="0.1";
			this.txtXmax.Text="10000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonLiquidMassFlowFlux.Checked=true;	
		}

		private void radioButtonLiquidMassFlowFlux_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="10";
			this.txtYmax.Text="10000";
			this.radioButtonLogarithmicY.Checked=true;
		}

		private void radioButtonFroudeNumber_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonVolumeFlowRatio.Checked=true;	
		}

		private void radioButtonHewittX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(kg/ms2)";
			this.labXmaxUnit.Text="(kg/ms2)";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="10000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonHewittY.Checked=true;	
		}

		private void radioButtonHewittY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/ms2)";
			this.labYmaxUnit.Text="(kg/ms2)";
			this.txtYmin.Text="1";
			this.txtYmax.Text="100000";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void radioButtonSuperficialVelocityRatio_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="1000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonLiquidSuperficialVelocityY.Checked=true;		
		}

		private void radioButtonGasMassFlowRate_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="(kg/s)";
			this.labXmaxUnit.Text="(kg/s)";
			this.txtXmin.Text="0.0000001";
			this.txtXmax.Text="0.1";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonLiquidMassFlowRate.Checked=true;		
		}

		private void radioButtonLiquidMassFlowRate_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/s)";
			this.labYmaxUnit.Text="(kg/s)";
			this.txtYmin.Text="0.00001";
			this.txtYmax.Text="0.1";
			this.radioButtonLogarithmicY.Checked=true;	
		}

		private void radioButtonSchichtAirWaterX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="1";
			this.txtXmax.Text="1000000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonSchichtAirWaterY.Checked=true;	
		}

		private void radioButtonSchichtAirWaterY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="100";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void radioButtonSchichtR134aX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.1";
			this.txtXmax.Text="100000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonSchichtR134aY.Checked=true;			
		}

		private void radioButtonSchichtR134aY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="1000";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void radioButtonGasReNumber_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="10";
			this.txtXmax.Text="1000000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonLiquidReNumber.Checked=true;	
		}

		private void radioButtonLiquidReNumber_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="100";
			this.txtYmax.Text="100000";
			this.radioButtonLogarithmicY.Checked=true;	
		}
		private void radioButtonGasWeNumber_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.0001";
			this.txtXmax.Text="100000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonLiquidWeNumber.Checked=true;	
		}

		private void radioButtonLiquidWeNumber_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="100000";
			this.radioButtonLogarithmicY.Checked=true;	
		}

		private void radioButtonBarneaY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="10000";
			this.radioButtonLogarithmicY.Checked=true;	
			this.radioButtonLockhartMartinelliX.Checked=true;		
		}

		private void radioButtonModifiedGasSuperficialVelocity1_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonModifiedLiquidSuperficialVelocity1.Checked=true;	
		}

		private void radioButtonModifiedLiquidSuperficialVelocity1_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="100";
			this.radioButtonLogarithmicY.Checked=true;	
		}

		private void radioButtonModifiedGasSuperficialVelocity2_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonModifiedLiquidSuperficialVelocity2.Checked=true;		
		}

		private void radioButtonModifiedLiquidSuperficialVelocity2_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="100";
			this.radioButtonLogarithmicY.Checked=true;	
		}

		private void radioButtonModifiedGasSuperficialVelocity3_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="100";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonModifiedLiquidSuperficialVelocity3.Checked=true;		
		}

		private void radioButtonModifiedLiquidSuperficialVelocity3_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="100";
			this.radioButtonLogarithmicY.Checked=true;	
		}

		private void radioButtonModifiedGasSuperficialVelocity4_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="1000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonModifiedLiquidSuperficialVelocity4.Checked=true;				
		}

		private void radioButtonModifiedLiquidSuperficialVelocity4_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="100";
			this.radioButtonLogarithmicY.Checked=true;		
		}

		private void cmdReturn_Click(object sender, System.EventArgs e)
		{
			this.SetXCoordinate ();
			this.SetYCoordinate ();
			this.Hide();
		}

		private void cmdExit_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}

		private void cmdDefault_Click(object sender, System.EventArgs e)
		{
			this.radioButtonGasSuperficialVelocityX.Checked=true;
			this.radioButtonLiquidSuperficialVelocityY.Checked=true;
			this.radioButtonLogarithmicX.Checked = true;
			this.radioButtonLogarithmicY.Checked=true;
			this.txtXmin.Text="0.01";
			this.txtXmax.Text="100";
			this.txtYmin.Text="0.01";
			this.txtYmax.Text="10";
			this.txtXaxisDivisionNo.Text="10";
			this.txtYaxisDivisionNo.Text="10";
		}

		private void radioButtonXWegs_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="10000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonGWels.Checked=true;
		}

		private void radioButtonGWels_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="(kg/m2s)";
			this.labYmaxUnit.Text="(kg/m2s)";
			this.txtYmin.Text="1";
			this.txtYmax.Text="100000000";
			this.radioButtonLogarithmicY.Checked=true;	
		}

		private void radioButtonFrgsRegs_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="1";
			this.txtXmax.Text="100000000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonWels.Checked=true;
		}

		private void radioButtonXX_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labXminUnit.Text="";
			this.labXmaxUnit.Text="";
			this.txtXmin.Text="0.001";
			this.txtXmax.Text="10000";
			this.radioButtonLogarithmicX.Checked=true;
			this.radioButtonYY.Checked=true;
		}

		private void radioButtonYY_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="1";
			this.txtYmax.Text="100000000";
			this.radioButtonLogarithmicY.Checked=true;
		}

		private void radioButtonWels_CheckedChanged(object sender, System.EventArgs e)
		{
			this.labYminUnit.Text="";
			this.labYmaxUnit.Text="";
			this.txtYmin.Text="0.1";
			this.txtYmax.Text="100000";
			this.radioButtonLogarithmicY.Checked=true;	
		}

	}
}
