using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace SBU.HTRRL.FlowPattern.DataAnalysis
{
	/// <summary>
	/// Summary description for MainClass.
	/// </summary>
	public class MainClass : System.Windows.Forms.Form
	{
		FrmFlowPatternGraph ComparingMap=new FrmFlowPatternGraph();
		FrmFlowPatternGraph Map=new FrmFlowPatternGraph();
		private System.Windows.Forms.MenuItem menuR134A;
		private System.Windows.Forms.MenuItem menuR134AProperties;
		private System.Windows.Forms.MainMenu mainMenul;
		private System.Windows.Forms.MenuItem menuData;
		private System.Windows.Forms.MenuItem menuDataCreatTxt;
		private System.Windows.Forms.MenuItem menuMap;
		private System.Windows.Forms.MenuItem menuMapDrawing;
		private System.Windows.Forms.MenuItem menuExit;
		public System.Windows.Forms.MenuItem menuMapComparing;
		private System.Windows.Forms.MenuItem menuFirstMap;
		private System.Windows.Forms.MenuItem menuSecondMap;
		private System.Windows.Forms.MenuItem menuThirdMap;
		private System.Windows.Forms.MenuItem menuFourthMap;
		private System.Windows.Forms.MenuItem menuCheckModel;
		private System.Windows.Forms.MenuItem menuAnalysis;
		private System.Windows.Forms.MenuItem menuAnalysisUncertainty;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuSetSingleMapCoordinate;
		private System.Windows.Forms.MenuItem menuSetMultiMapCoordinate;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public MainClass()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.mainMenul = new System.Windows.Forms.MainMenu();
			this.menuR134A = new System.Windows.Forms.MenuItem();
			this.menuR134AProperties = new System.Windows.Forms.MenuItem();
			this.menuData = new System.Windows.Forms.MenuItem();
			this.menuDataCreatTxt = new System.Windows.Forms.MenuItem();
			this.menuMap = new System.Windows.Forms.MenuItem();
			this.menuSetSingleMapCoordinate = new System.Windows.Forms.MenuItem();
			this.menuMapDrawing = new System.Windows.Forms.MenuItem();
			this.menuCheckModel = new System.Windows.Forms.MenuItem();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuMapComparing = new System.Windows.Forms.MenuItem();
			this.menuFirstMap = new System.Windows.Forms.MenuItem();
			this.menuSecondMap = new System.Windows.Forms.MenuItem();
			this.menuThirdMap = new System.Windows.Forms.MenuItem();
			this.menuFourthMap = new System.Windows.Forms.MenuItem();
			this.menuSetMultiMapCoordinate = new System.Windows.Forms.MenuItem();
			this.menuAnalysis = new System.Windows.Forms.MenuItem();
			this.menuAnalysisUncertainty = new System.Windows.Forms.MenuItem();
			this.menuExit = new System.Windows.Forms.MenuItem();
			// 
			// mainMenul
			// 
			this.mainMenul.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuR134A,
																					  this.menuData,
																					  this.menuMap,
																					  this.menuAnalysis,
																					  this.menuExit});
			// 
			// menuR134A
			// 
			this.menuR134A.Index = 0;
			this.menuR134A.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuR134AProperties});
			this.menuR134A.Text = "R134A";
			// 
			// menuR134AProperties
			// 
			this.menuR134AProperties.Index = 0;
			this.menuR134AProperties.Text = "Properties";
			this.menuR134AProperties.Click += new System.EventHandler(this.menuR134AProperties_Click);
			// 
			// menuData
			// 
			this.menuData.Index = 1;
			this.menuData.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.menuDataCreatTxt});
			this.menuData.Text = "Data";
			// 
			// menuDataCreatTxt
			// 
			this.menuDataCreatTxt.Index = 0;
			this.menuDataCreatTxt.Text = "Creat Result.Txt";
			this.menuDataCreatTxt.Click += new System.EventHandler(this.menuDataCreatTxt_Click);
			// 
			// menuMap
			// 
			this.menuMap.Index = 2;
			this.menuMap.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.menuSetSingleMapCoordinate,
																					this.menuMapDrawing,
																					this.menuCheckModel,
																					this.menuItem1,
																					this.menuSetMultiMapCoordinate,
																					this.menuMapComparing});
			this.menuMap.Text = "Map";
			// 
			// menuSetSingleMapCoordinate
			// 
			this.menuSetSingleMapCoordinate.Index = 0;
			this.menuSetSingleMapCoordinate.Text = "Set Coordinate";
			this.menuSetSingleMapCoordinate.Click += new System.EventHandler(this.menuSetCoordinate_Click);
			// 
			// menuMapDrawing
			// 
			this.menuMapDrawing.Enabled = false;
			this.menuMapDrawing.Index = 1;
			this.menuMapDrawing.Text = "Drawing";
			this.menuMapDrawing.Click += new System.EventHandler(this.menuMapDrawing_Click);
			// 
			// menuCheckModel
			// 
			this.menuCheckModel.Enabled = false;
			this.menuCheckModel.Index = 2;
			this.menuCheckModel.Text = "Check Models";
			this.menuCheckModel.Click += new System.EventHandler(this.menuCheckModel_Click);
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 3;
			this.menuItem1.Text = "-";
			// 
			// menuMapComparing
			// 
			this.menuMapComparing.Enabled = false;
			this.menuMapComparing.Index = 5;
			this.menuMapComparing.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																							 this.menuFirstMap,
																							 this.menuSecondMap,
																							 this.menuThirdMap,
																							 this.menuFourthMap});
			this.menuMapComparing.Text = "Comparing";
			// 
			// menuFirstMap
			// 
			this.menuFirstMap.Index = 0;
			this.menuFirstMap.Text = "First Map";
			this.menuFirstMap.Click += new System.EventHandler(this.menuFirstMap_Click);
			// 
			// menuSecondMap
			// 
			this.menuSecondMap.Enabled = false;
			this.menuSecondMap.Index = 1;
			this.menuSecondMap.Text = "Second Map";
			this.menuSecondMap.Click += new System.EventHandler(this.menuSecondMap_Click);
			// 
			// menuThirdMap
			// 
			this.menuThirdMap.Enabled = false;
			this.menuThirdMap.Index = 2;
			this.menuThirdMap.Text = "Third Map";
			this.menuThirdMap.Click += new System.EventHandler(this.menuThirdMap_Click);
			// 
			// menuFourthMap
			// 
			this.menuFourthMap.Enabled = false;
			this.menuFourthMap.Index = 3;
			this.menuFourthMap.Text = "Fourth Map";
			this.menuFourthMap.Click += new System.EventHandler(this.menuFourthMap_Click);
			// 
			// menuSetMultiMapCoordinate
			// 
			this.menuSetMultiMapCoordinate.Index = 4;
			this.menuSetMultiMapCoordinate.Text = "Set Coordinate";
			this.menuSetMultiMapCoordinate.Click += new System.EventHandler(this.menuSetMultiMapCoordinate_Click);
			// 
			// menuAnalysis
			// 
			this.menuAnalysis.Index = 3;
			this.menuAnalysis.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						 this.menuAnalysisUncertainty});
			this.menuAnalysis.Text = "Analysis";
			// 
			// menuAnalysisUncertainty
			// 
			this.menuAnalysisUncertainty.Index = 0;
			this.menuAnalysisUncertainty.Text = "Uncertainty";
			this.menuAnalysisUncertainty.Click += new System.EventHandler(this.menuAnalysisUncertainty_Click);
			// 
			// menuExit
			// 
			this.menuExit.Index = 4;
			this.menuExit.Text = "Exit";
			this.menuExit.Click += new System.EventHandler(this.menuExit_Click);
			// 
			// MainClass
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(348, 285);
			this.Menu = this.mainMenul;
			this.Name = "MainClass";
			this.Text = "Main Program";

		}
		#endregion

		private void menuR134AProperties_Click(object sender, System.EventArgs e)
		{
			FrmR134a R134aProperties=new FrmR134a();
			R134aProperties.Show();
		}

		private void menuDataCreatTxt_Click(object sender, System.EventArgs e)
		{
			FrmGetFlowPatternData GetData=new FrmGetFlowPatternData();
			GetData.Show();
		}

		private void menuExit_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void menuMapDrawing_Click(object sender, System.EventArgs e)
		{
			Map.DrawMap();
		}

		private void menuFirstMap_Click(object sender, System.EventArgs e)
		{
			ComparingMap.DrawFirstMap();
			menuFirstMap.Checked=true;
			menuSecondMap.Enabled=true;
			this.menuSecondMap_Click(sender, e);
		}

		private void menuSecondMap_Click(object sender, System.EventArgs e)
		{
			ComparingMap.DrawSecondMap();
			menuSecondMap.Checked=true;
			menuThirdMap.Enabled=true;
			this.menuThirdMap_Click(sender, e);
		}

		private void menuThirdMap_Click(object sender, System.EventArgs e)
		{
			ComparingMap.DrawThirdMap();
			menuThirdMap.Checked=true;
			menuFourthMap.Enabled=true;
			this.menuFourthMap_Click(sender, e);
		}

		private void menuFourthMap_Click(object sender, System.EventArgs e)
		{
			ComparingMap.DrawFourthMap();
			menuFourthMap.Checked=true;		
		}

		private void menuCheckModel_Click(object sender, System.EventArgs e)
		{
			Map.DrawModelMap();
		}

		private void menuAnalysisUncertainty_Click(object sender, System.EventArgs e)
		{
			FrmUncertaintyAnalysis UncertaintyAnalysis=new FrmUncertaintyAnalysis();
			UncertaintyAnalysis.Show();
		}

		private void menuSetCoordinate_Click(object sender, System.EventArgs e)
		{
			Map.SetCoordinateValue();
			this.menuMapDrawing.Enabled=true;
			this.menuCheckModel.Enabled=true;
		}

		private void menuSetMultiMapCoordinate_Click(object sender, System.EventArgs e)
		{
			ComparingMap.SetCoordinateValue();
			this.menuMapComparing.Enabled=true;
		}
	}

	class ProgramEntrance
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new MainClass());
		}
	}
}
