Attribute VB_Name = "DataloggerCollect"
Option Explicit

Sub DataloggerData(OriginalResult() As Single)
    Dim Idata As String, a As String
    Dim Code As Integer, i As Integer
    MSComm1.CommPort = 1
    MSComm1.Settings = "9600,E,7,1"
    MSComm1.PortOpen = True
    MSComm1.InputLen = 1
    MSComm1.Output = "#" 'release control right and rebulit data transfer
    Call SetChannel
    MSComm1.Output = "#"
    Starthour = Hour(Time)
    Startminute = Minute(Time)
    Startsecond = Second(Time)
400 While MSComm1.EOFEnable = True
       For i = 0 To SelectedChannelNumber / 4
800        Call Checkcontrolright(Idata, Code)
           If Code% <> 1 Then GoTo 400
           a$ = Mid(Idata, 3, 1)
           If a$ = "A" Or a$ = "N" Or a$ = "T" Or a$ = "L" Then GoTo 800
           Call Convertdatafomat(OriginalResult())
       Next
       
'       For i = 0 To 7
'       If syspressure(i).Text = "" Or systemperature(i).Text = "" Then GoTo 400
'       Next i
'       For i = 0 To 1
'       If differentialpressure(i).Text = "" Or Txtflowrate(i).Text = "" Then GoTo 400
'       Next i
       
'       If powermeter1selected = 1 Then Call powermeter1
'       If powermeter2selected = 1 Then Call powermeter2
       
       While Not Break = 1
            DoEvents
       Wend
       
'       Call Convertdatacal
       
'    If Measure = 0 Then
'        MSComm1.PortOpen = False
'        MSComm2.PortOpen = False
'        MSComm3.PortOpen = False
'        Tabdisplay.Left = -20000: GoTo 600
'    End If
500 Wend
600 End Sub

Sub SetChannel() 'Communicate the setting of channels and task to computer
    Dim Idata As String, buffer As String
    Dim Code As Integer, i As Integer, k As Integer
    Call Controlright(Idata, Code)
    buffer = "HA"
    MSComm1.Output = buffer & Chr(13)
    Call Checkcontrolright(Idata, Code)
    If Code% <> 6 Then MsgBox ("Illegal Startup Task"): Stop
    For i = 1 To 116
        If ChannelSelection(i) = 1 Then
            MSComm1.Output = channel(i) & Chr(13)
            Call Checkcontrolright(Idata, Code)
            If Code% <> 6 Then MsgBox ("Illegal Startup Task"): Stop
        End If
    Next i
    For i = 1 To 8
        For k = 1 To 3
           If Task(i, k) <> "" Then
              If k = 2 Then
                 buffer = Task(i, k)
              Else
                 buffer = Task(i, k)
              End If
              MSComm1.Output = buffer & Chr(13)
              Call Checkcontrolright(Idata, Code)
              If Code% <> 6 Then MsgBox ("Illegal Startup Task"): Stop
        End If
        Next k
    Next i
    MSComm1.Output = "MO OF" & Chr(13)
    Call Checkcontrolright(Idata, Code)
    If Code% <> 6 Then MsgBox ("Illegal Startup Task"): Stop
    MSComm1.Output = "RU" & Chr(13)
    Call Checkcontrolright(Idata, Code)
    If Code% <> 6 Then MsgBox ("Illegal Startup Task"): Stop
End Sub

Sub Controlright(Idata As String, Code As Integer) 'get control right
100 MSComm1.Output = "!" 'ask control right
200 Call Checkcontrolright(Idata, Code)
    If Code < 1 Or Code > 7 Then
       GoTo 100
    Else
       Select Case Code
           Case 1
              GoTo 200
           Case 2, 3
              GoTo 100
           Case 4
              MSComm1.Output = "%1" & Chr(13)
              GoTo 200
           Case 5
              MSComm1.Output = "%4" & Chr(13)
              GoTo 200
           Case 6
       End Select
    End If
End Sub

Sub Checkcontrolright(Idata As String, Code As Integer) 'check control right
    Dim Status As String, a As String
300 Idata = MSComm1.Input
    If Idata = "" Then GoTo 300
       Code = InStr("OERNLCP", Idata)
    If Code < 1 Or Code > 7 Then MsgBox (a$ & Idata)
    Select Case Code
        Case 1
           Call Onelineinput(Idata)
        Case 2
           Call Onelineinput(Idata)
           a$ = "ORION Error:"
           MsgBox (a$ & Idata)
        Case 3
           Call Onelineinput(Idata)
           a$ = "ORION Response: "
           MsgBox (a$ & Idata)
        Case 4
           Status$ = "Device not recognised:"
        Case 5
           Status$ = "Local Control:"
        Case 6
           Status$ = "Full Control:"
        Case 7
           MsgBox ("Communication Prohibited:")
           Stop
    End Select
End Sub

Sub Onelineinput(Idata As String) 'get a line data from data logger
    Dim buffer As String
    Idata = ""
    MSComm1.Output = "?"
    buffer$ = MSComm1.Input
    While buffer$ <> Chr(13)
       Idata = Idata & buffer$
       buffer$ = MSComm1.Input
    Wend
End Sub

Sub Convertdatafomat(OriginalResult())
    Dim N As Integer, Num As Integer
    Dim Idata As String, a As String
    DoEvents
        N = Len(Idata) / 20
    If N < 1 Or N > 4 Then
        MsgBox ("Data Length Error" & N)
        Stop
    Else
       For Num = 1 To N
           Index = Mid(Idata, 3 + (Num - 1) * 20, 3)
           a$ = Mid(Idata, 6 + (Num - 1) * 20, 10)
           OriginalResult(Val(Index)) = Val(a$) 'the original experimental data from data logger
      Next Num
    End If
End Sub
