Attribute VB_Name = "SaveData"
Option Explicit

Sub InitTxtFile()
    If IsHeatTransfer = True Then
        TxtName = "c:\My Documents\TxtFile (Heat Transfer)\" & frmMain.TxtFile.Text & ".txt"
    ElseIf IsFlowPatterns = True Then
        TxtName = "c:\My Documents\TxtFile (Flow Patterns)\" & frmMain.TxtFile.Text & ".txt"
    End If

    Close
    Open TxtName For Append As #5
    Close #5
    Open TxtName For Output As #5
    Print #5, "File Name                   XXXX-XX-XX-X          "
    Print #5, "                                                  "
    'Print #5, "                                                  "
    Print #5, "Date"; Tab; Tab; Date
    Print #5, "Fluid"; Tab; Tab; "R134a"
    Print #5, "Diameter(mm)"; Tab; Tab; Di
    Print #5, "Length(mm)"; Tab; Tab; Lengthi
    Print #5, "Orientation"; Tab; Tab; Directioni
    Print #5, "Atmospheric Pressure(bar-a)"; Tab; AmbientPressure
    'Close #5
End Sub

Sub SaveTxtData()
    Dim i As Integer
    'Open TxtName For Append As #5
    Print #5, "-------------------" & "No." & ExpTimes & "--------------------"
    Print #5, "Time"; Tab; Tab; Time
    Print #5, "Ambient Temperature(C)"; Tab; CalibratedResult(69)
    Print #5, "******* Preheaters Inlet *******"
    Print #5, "Pressure(bar-a)"; Tab; CalibratedResult(106) + Val(AmbientPressure)
    Print #5, "Temperature(C)"; Tab; CalibratedResult(62)
    Print #5, "Flow rate(kg/hr)"; Tab; FlowRate * 3600
    Print #5, "Power(W)"; Tab; Tab; Power1
    Print #5, "Energy loss(W)"; Tab; ThermalLoss1 + ThermalLoss2
    Print #5, "********* Test Section *********"
    Print #5, "Inlet pressure(bar-a)"; Tab; CalibratedResult(107) + Val(AmbientPressure)
    Print #5, "Inlet temperature(C)"; Tab; CalibratedResult(18)
    Print #5, "Pressure drop(bar)"; Tab; CalibratedResult(101)
    Print #5, "Outlet pressure(bar-a)"; Tab; CalibratedResult(108) + Val(AmbientPressure)
    Print #5, "Outlet temperature(C)"; Tab; CalibratedResult(19)
    Print #5, "Power(W)"; Tab; Tab; Power2
    Print #5, "Energy loss(W)"; Tab; ThermalLoss3
    For i = 1 To Val(ThermocoupleQuantityi)
        Print #5, "TT" & i & "(C)"; Tab; Tab; CalibratedResult(i)
    Next i
    Print #5, "********* Observation Section *********"
    Print #5, "Outlet pressure(bar-a)"; Tab; CalibratedResult(110) + Val(AmbientPressure)
    Print #5, "Outlet temperature(C)"; Tab; CalibratedResult(20)
    Print #5, "Observation Position Ratio"; Tab; ObservationPositionRatio
    Print #5, "Experiment Pressure (bar-a)"; Tab; ExperimentalPressure
    Print #5, "Experiment Temperature (C)"; Tab; ExperimentalTemperature
    
    If ExpTimes = 20 Then
      Close #5
    End If
    
End Sub

