using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace  SBU.HTRRL.FlowPattern.DataAnalysis
{
	/// <summary>
	/// Summary description for FrmR134a.
	/// </summary>
	public class FrmR134a : System.Windows.Forms.Form
	{
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.TextBox txtTemperature;
		private System.Windows.Forms.Button cmdRun;
		private System.Windows.Forms.Label labT;
		private System.Windows.Forms.Label labP;
		private System.Windows.Forms.TextBox txtPressure;
		private System.Windows.Forms.GroupBox grpOutput;
		private System.Windows.Forms.Label labSurfaceTension;
		private System.Windows.Forms.TextBox txtSurfaceTension;
		private System.Windows.Forms.Label labVapourViscosity;
		private System.Windows.Forms.TextBox txtVapourViscosity;
		private System.Windows.Forms.Label labLiquidViscosity;
		private System.Windows.Forms.TextBox txtLiquidViscosity;
		private System.Windows.Forms.Label labVapourEnthalpy;
		private System.Windows.Forms.TextBox txtVapourEnthalpy;
		private System.Windows.Forms.Label labLiquidEnthalpy;
		private System.Windows.Forms.TextBox txtLiquidEnthalpy;
		private System.Windows.Forms.Label labVapourDensity;
		private System.Windows.Forms.TextBox txtVapourDensity;
		private System.Windows.Forms.Label labLiquidDensity;
		private System.Windows.Forms.TextBox txtLiquidDensity;
		private System.Windows.Forms.Label labState;
		private System.Windows.Forms.TextBox txtState;
		private System.Windows.Forms.Label labPs;
		private System.Windows.Forms.TextBox txtSatPres;
		private System.Windows.Forms.Label labTs;
		private System.Windows.Forms.TextBox txtSatTemp;
		private System.Windows.Forms.Button cmdExit;

		public string DataResource;

		public FrmR134a()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.txtTemperature = new System.Windows.Forms.TextBox();
			this.cmdRun = new System.Windows.Forms.Button();
			this.labT = new System.Windows.Forms.Label();
			this.labP = new System.Windows.Forms.Label();
			this.txtPressure = new System.Windows.Forms.TextBox();
			this.grpOutput = new System.Windows.Forms.GroupBox();
			this.labSurfaceTension = new System.Windows.Forms.Label();
			this.txtSurfaceTension = new System.Windows.Forms.TextBox();
			this.labVapourViscosity = new System.Windows.Forms.Label();
			this.txtVapourViscosity = new System.Windows.Forms.TextBox();
			this.labLiquidViscosity = new System.Windows.Forms.Label();
			this.txtLiquidViscosity = new System.Windows.Forms.TextBox();
			this.labVapourEnthalpy = new System.Windows.Forms.Label();
			this.txtVapourEnthalpy = new System.Windows.Forms.TextBox();
			this.labLiquidEnthalpy = new System.Windows.Forms.Label();
			this.txtLiquidEnthalpy = new System.Windows.Forms.TextBox();
			this.labVapourDensity = new System.Windows.Forms.Label();
			this.txtVapourDensity = new System.Windows.Forms.TextBox();
			this.labLiquidDensity = new System.Windows.Forms.Label();
			this.txtLiquidDensity = new System.Windows.Forms.TextBox();
			this.labState = new System.Windows.Forms.Label();
			this.txtState = new System.Windows.Forms.TextBox();
			this.labPs = new System.Windows.Forms.Label();
			this.txtSatPres = new System.Windows.Forms.TextBox();
			this.labTs = new System.Windows.Forms.Label();
			this.txtSatTemp = new System.Windows.Forms.TextBox();
			this.cmdExit = new System.Windows.Forms.Button();
			this.grpOutput.SuspendLayout();
			this.SuspendLayout();
			// 
			// txtTemperature
			// 
			this.txtTemperature.Location = new System.Drawing.Point(88, 32);
			this.txtTemperature.Name = "txtTemperature";
			this.txtTemperature.Size = new System.Drawing.Size(72, 20);
			this.txtTemperature.TabIndex = 0;
			this.txtTemperature.Text = "";
			// 
			// cmdRun
			// 
			this.cmdRun.Location = new System.Drawing.Point(232, 328);
			this.cmdRun.Name = "cmdRun";
			this.cmdRun.Size = new System.Drawing.Size(56, 24);
			this.cmdRun.TabIndex = 1;
			this.cmdRun.Text = "Run";
			this.cmdRun.Click += new System.EventHandler(this.cmdRun_Click);
			// 
			// labT
			// 
			this.labT.Location = new System.Drawing.Point(16, 32);
			this.labT.Name = "labT";
			this.labT.Size = new System.Drawing.Size(64, 16);
			this.labT.TabIndex = 2;
			this.labT.Text = "T (C)";
			// 
			// labP
			// 
			this.labP.Location = new System.Drawing.Point(184, 32);
			this.labP.Name = "labP";
			this.labP.Size = new System.Drawing.Size(64, 16);
			this.labP.TabIndex = 4;
			this.labP.Text = "P (bar-a)";
			// 
			// txtPressure
			// 
			this.txtPressure.Location = new System.Drawing.Point(272, 32);
			this.txtPressure.Name = "txtPressure";
			this.txtPressure.Size = new System.Drawing.Size(72, 20);
			this.txtPressure.TabIndex = 3;
			this.txtPressure.Text = "";
			// 
			// grpOutput
			// 
			this.grpOutput.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.labSurfaceTension,
																					this.txtSurfaceTension,
																					this.labVapourViscosity,
																					this.txtVapourViscosity,
																					this.labLiquidViscosity,
																					this.txtLiquidViscosity,
																					this.labVapourEnthalpy,
																					this.txtVapourEnthalpy,
																					this.labLiquidEnthalpy,
																					this.txtLiquidEnthalpy,
																					this.labVapourDensity,
																					this.txtVapourDensity,
																					this.labLiquidDensity,
																					this.txtLiquidDensity,
																					this.labState,
																					this.txtState,
																					this.labPs,
																					this.txtSatPres,
																					this.labTs,
																					this.txtSatTemp});
			this.grpOutput.Location = new System.Drawing.Point(16, 64);
			this.grpOutput.Name = "grpOutput";
			this.grpOutput.Size = new System.Drawing.Size(348, 256);
			this.grpOutput.TabIndex = 5;
			this.grpOutput.TabStop = false;
			this.grpOutput.Text = "Output";
			// 
			// labSurfaceTension
			// 
			this.labSurfaceTension.Location = new System.Drawing.Point(168, 216);
			this.labSurfaceTension.Name = "labSurfaceTension";
			this.labSurfaceTension.Size = new System.Drawing.Size(80, 24);
			this.labSurfaceTension.TabIndex = 24;
			this.labSurfaceTension.Text = "Surface Tension (N/m)";
			// 
			// txtSurfaceTension
			// 
			this.txtSurfaceTension.Location = new System.Drawing.Point(256, 224);
			this.txtSurfaceTension.Name = "txtSurfaceTension";
			this.txtSurfaceTension.Size = new System.Drawing.Size(72, 20);
			this.txtSurfaceTension.TabIndex = 23;
			this.txtSurfaceTension.Text = "";
			// 
			// labVapourViscosity
			// 
			this.labVapourViscosity.Location = new System.Drawing.Point(168, 184);
			this.labVapourViscosity.Name = "labVapourViscosity";
			this.labVapourViscosity.Size = new System.Drawing.Size(88, 32);
			this.labVapourViscosity.TabIndex = 22;
			this.labVapourViscosity.Text = "Sat. Vapour Viscosity (Pa.s)";
			// 
			// txtVapourViscosity
			// 
			this.txtVapourViscosity.Location = new System.Drawing.Point(256, 192);
			this.txtVapourViscosity.Name = "txtVapourViscosity";
			this.txtVapourViscosity.Size = new System.Drawing.Size(72, 20);
			this.txtVapourViscosity.TabIndex = 21;
			this.txtVapourViscosity.Text = "";
			// 
			// labLiquidViscosity
			// 
			this.labLiquidViscosity.Location = new System.Drawing.Point(168, 152);
			this.labLiquidViscosity.Name = "labLiquidViscosity";
			this.labLiquidViscosity.Size = new System.Drawing.Size(88, 32);
			this.labLiquidViscosity.TabIndex = 20;
			this.labLiquidViscosity.Text = "Sat. Liquid Viscosity (Pa.s)";
			// 
			// txtLiquidViscosity
			// 
			this.txtLiquidViscosity.Location = new System.Drawing.Point(256, 160);
			this.txtLiquidViscosity.Name = "txtLiquidViscosity";
			this.txtLiquidViscosity.Size = new System.Drawing.Size(72, 20);
			this.txtLiquidViscosity.TabIndex = 19;
			this.txtLiquidViscosity.Text = "";
			// 
			// labVapourEnthalpy
			// 
			this.labVapourEnthalpy.Location = new System.Drawing.Point(168, 120);
			this.labVapourEnthalpy.Name = "labVapourEnthalpy";
			this.labVapourEnthalpy.Size = new System.Drawing.Size(88, 32);
			this.labVapourEnthalpy.TabIndex = 18;
			this.labVapourEnthalpy.Text = "Vapour Enthalpy (J/kg)";
			// 
			// txtVapourEnthalpy
			// 
			this.txtVapourEnthalpy.Location = new System.Drawing.Point(256, 128);
			this.txtVapourEnthalpy.Name = "txtVapourEnthalpy";
			this.txtVapourEnthalpy.Size = new System.Drawing.Size(72, 20);
			this.txtVapourEnthalpy.TabIndex = 17;
			this.txtVapourEnthalpy.Text = "";
			// 
			// labLiquidEnthalpy
			// 
			this.labLiquidEnthalpy.Location = new System.Drawing.Point(168, 88);
			this.labLiquidEnthalpy.Name = "labLiquidEnthalpy";
			this.labLiquidEnthalpy.Size = new System.Drawing.Size(88, 32);
			this.labLiquidEnthalpy.TabIndex = 16;
			this.labLiquidEnthalpy.Text = "Liquid Enthalpy (J/kg)";
			// 
			// txtLiquidEnthalpy
			// 
			this.txtLiquidEnthalpy.Location = new System.Drawing.Point(256, 96);
			this.txtLiquidEnthalpy.Name = "txtLiquidEnthalpy";
			this.txtLiquidEnthalpy.Size = new System.Drawing.Size(72, 20);
			this.txtLiquidEnthalpy.TabIndex = 15;
			this.txtLiquidEnthalpy.Text = "";
			// 
			// labVapourDensity
			// 
			this.labVapourDensity.Location = new System.Drawing.Point(168, 56);
			this.labVapourDensity.Name = "labVapourDensity";
			this.labVapourDensity.Size = new System.Drawing.Size(88, 32);
			this.labVapourDensity.TabIndex = 14;
			this.labVapourDensity.Text = "Vapour Density (kg/m3)";
			// 
			// txtVapourDensity
			// 
			this.txtVapourDensity.Location = new System.Drawing.Point(256, 64);
			this.txtVapourDensity.Name = "txtVapourDensity";
			this.txtVapourDensity.Size = new System.Drawing.Size(72, 20);
			this.txtVapourDensity.TabIndex = 13;
			this.txtVapourDensity.Text = "";
			// 
			// labLiquidDensity
			// 
			this.labLiquidDensity.Location = new System.Drawing.Point(168, 24);
			this.labLiquidDensity.Name = "labLiquidDensity";
			this.labLiquidDensity.Size = new System.Drawing.Size(80, 32);
			this.labLiquidDensity.TabIndex = 12;
			this.labLiquidDensity.Text = "Liquid Density (kg/m3)";
			// 
			// txtLiquidDensity
			// 
			this.txtLiquidDensity.Location = new System.Drawing.Point(256, 32);
			this.txtLiquidDensity.Name = "txtLiquidDensity";
			this.txtLiquidDensity.Size = new System.Drawing.Size(72, 20);
			this.txtLiquidDensity.TabIndex = 11;
			this.txtLiquidDensity.Text = "";
			// 
			// labState
			// 
			this.labState.Location = new System.Drawing.Point(16, 96);
			this.labState.Name = "labState";
			this.labState.Size = new System.Drawing.Size(56, 16);
			this.labState.TabIndex = 10;
			this.labState.Text = "State";
			// 
			// txtState
			// 
			this.txtState.Location = new System.Drawing.Point(72, 96);
			this.txtState.Name = "txtState";
			this.txtState.Size = new System.Drawing.Size(72, 20);
			this.txtState.TabIndex = 9;
			this.txtState.Text = "";
			// 
			// labPs
			// 
			this.labPs.Location = new System.Drawing.Point(16, 64);
			this.labPs.Name = "labPs";
			this.labPs.Size = new System.Drawing.Size(56, 16);
			this.labPs.TabIndex = 8;
			this.labPs.Text = "Ps (bar-a)";
			// 
			// txtSatPres
			// 
			this.txtSatPres.Location = new System.Drawing.Point(72, 64);
			this.txtSatPres.Name = "txtSatPres";
			this.txtSatPres.Size = new System.Drawing.Size(72, 20);
			this.txtSatPres.TabIndex = 7;
			this.txtSatPres.Text = "";
			// 
			// labTs
			// 
			this.labTs.Location = new System.Drawing.Point(16, 32);
			this.labTs.Name = "labTs";
			this.labTs.Size = new System.Drawing.Size(40, 16);
			this.labTs.TabIndex = 6;
			this.labTs.Text = "Ts (C)";
			// 
			// txtSatTemp
			// 
			this.txtSatTemp.Location = new System.Drawing.Point(72, 32);
			this.txtSatTemp.Name = "txtSatTemp";
			this.txtSatTemp.Size = new System.Drawing.Size(72, 20);
			this.txtSatTemp.TabIndex = 5;
			this.txtSatTemp.Text = "";
			// 
			// cmdExit
			// 
			this.cmdExit.Location = new System.Drawing.Point(308, 328);
			this.cmdExit.Name = "cmdExit";
			this.cmdExit.Size = new System.Drawing.Size(56, 24);
			this.cmdExit.TabIndex = 6;
			this.cmdExit.Text = "Exit";
			this.cmdExit.Click += new System.EventHandler(this.cmdExit_Click);
			// 
			// FrmR134a
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(380, 357);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.cmdExit,
																		  this.grpOutput,
																		  this.labP,
																		  this.txtPressure,
																		  this.labT,
																		  this.cmdRun,
																		  this.txtTemperature});
			this.Name = "FrmR134a";
			this.Text = "R134a Properties";
			this.grpOutput.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void cmdRun_Click(object sender, System.EventArgs e)
		{
			double T,P,Ts,Ps,Rol,Rov,Hl,Hv,Mul,Muv,St;
			string State;
			T=double.Parse(txtTemperature.Text)+273.15;
			P=double.Parse(txtPressure.Text)*100000;
			R134aProperty R134a=new R134aProperty(T,P);


			Ts=R134a.SaturatedTemperature;
			Ps=R134a.SaturatedPressure;
			State=R134a.State;
			Rol=R134a.LiquidDensity;
			Rov=R134a.VapourDensity;
			Hl=R134a.LiquidEnthalpy;
			Hv=R134a.VapourEnthalpy;
			Mul=R134a.SaturatedLiquidViscosity;
			Muv=R134a.SaturatedVapourViscosity;
			St=R134a.SurfaceTension;

			this.txtSatTemp.Text=(Ts==-999?"":(Math.Round(Ts-273.15,2)).ToString());
			this.txtSatPres.Text=(Ps==-999?"":(Math.Round(Ps/100000,2)).ToString());
			this.txtState.Text=State.ToString();
			this.txtLiquidDensity.Text=(Rol==-999?"":(Math.Round(Rol,2)).ToString());
			this.txtVapourDensity.Text=(Rov==-999?"":(Math.Round(Rov,2)).ToString());
			this.txtLiquidEnthalpy.Text=(Hl==-999?"":(Math.Round(Hl,2)).ToString());
			this.txtVapourEnthalpy.Text=(Hv==-999?"":(Math.Round(Hv,2)).ToString());
			this.txtLiquidViscosity.Text=(Mul==-999?"":(Math.Round(Mul,8)).ToString());
			this.txtVapourViscosity.Text=(Muv==-999?"":(Math.Round(Muv,8)).ToString());
			this.txtSurfaceTension.Text=(St==-999?"":(Math.Round(St,4)).ToString());
		}

		private void cmdExit_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}
	}
}
