Attribute VB_Name = "MainModule"
Global DP1o As String, DP2o As String, AmbientPressure As String, AlarmTemperature1 As String, AlarmTemperature2(2) As String
Global Di As String, Lengthi As String, Directioni As String, ThermocoupleQuantityi As String
Global Channel(120) As String
Global ChannelSelection(120) As Integer, SelectedChannelNumber As Integer
Global PowerMeter1Selected As Boolean, PowerMeter2Selected As Boolean
Global Voltage1 As Single, Current1 As Single, Power1 As Single
Global Voltage2 As Single, Current2 As Single, Power2 As Single
Global Task(8, 3) As String
Global Starthour As Integer, Startminute As Integer, Startsecond As Integer, Difftime As String
Global OriginalResult(120) As Single, CalibratedResult(120) As Single
Global FlowRate As Single, Heatflux As Single, InletQuality As Single, OutletQuality As Single, MassFlux As Single
Global T2 As Single, P2 As Single, Qf2 As Single, Hf2 As Single
Global T3 As Single, P3 As Single, Qf3 As Single, Qv3 As Single, Hf3 As Single, Hv3 As Single, Muf3 As Single, Muv3 As Single, Musup3 As Single
Global T3s As Single, P3s As Single, St3s As Single, Qf3s As Single, Qv3s As Single, Hf3s As Single, Hv3s As Single
Global T4 As Single, P4 As Single, Qf4 As Single, Qv4 As Single, Hf4 As Single, Hv4 As Single, Muf4 As Single, Muv4 As Single, Musup4 As Single, Hf8 As Single
Global T4s As Single, P4s As Single, St4s As Single, Qf4s As Single, Qv4s As Single, Hf4s As Single, Hv4s As Single
Global Tex As Single, Pex As Single, Qfex As Single, Qvex As Single, Hfex As Single, Hvex As Single, Mufex As Single, Muvex As Single, Musupex As Single
Global Texs As Single, Pexs As Single, Stexs As Single, Qfexs As Single, Qvexs As Single, Hfexs As Single, Hvexs As Single
Global InputPower1 As Single, InputEnthalpy1 As Single, InputFlowEnergy1 As Single, OutputEnergy1 As Single, OutputEnthalpy1 As Single
Global InputPower2 As Single, InputEnthalpy2 As Single, InputFlowEnergy2 As Single, OutputEnergy2 As Single, OutputEnthalpy2 As Single
Global ThermalLoss1 As Single, ThermalLoss2 As Single, ThermalLoss3 As Single, ThermalLossA As Single, ThermalLossB As Single, ThermalLossC As Single, ThermalLoss1coefficient As Single, ThermalLoss2coefficient As Single, ThermalLoss3coefficient As Single, ThermalLoss3LengthCoefficient As Single
Global ThermalLossTotalNo As Integer, ThermalLossAtotal As Single, ThermalLossBtotal As Single, ThermalLossCtotal As Single, ThermalLossAavg As Single, ThermalLossBavg As Single, ThermalLossCavg As Single
Global DiffTempAtotal As Single, DiffTempBtotal As Single, DiffTempCtotal As Single, ThermalLossAcoefficient As Single, ThermalLossBcoefficient As Single, ThermalLossCcoefficient As Single
Global InletLiquidVelocity As Single, InletVapourVelocity As Single, OutletLiquidVelocity As Single, OutletVapourVelocity As Single
Global SysTemperature(8) As Single, SysPressure(5) As Single, DiffPressure(1) As Single, SysSatTemp(7) As Single
Global DiffTemperature(7) As Single, SysState(7) As String
Global Index As String, ExpNo As Integer, DataNo As Integer, ScanNo As Integer, ExpTimes As Integer
Global DataReady As Boolean, ExitCom As Boolean, PauseCom As Boolean, CancelCom As Boolean, ThermalLossLoad As Boolean, SaveCom As Boolean
Global Const Tc = 374.3, Pc = 4064000#, Qc = 508#, R = 81.4892
Global Const pi = 3.1415926
Global Const SatTempRange = 0.2
Global DP1_FlutterRate As Single, F_FlutterRate As Single, DPM1_FlutterRate As Single, DPM2_FlutterRate As Single
Global P2_MaxFlutter As Single, T2_MaxFlutter As Single, P3_MaxFlutter As Single, T3_MaxFlutter As Single, P4_MaxFlutter As Single, T4_MaxFlutter As Single, P0_MaxFlutter As Single, T0_MaxFlutter As Single, DP1_MaxFlutter As Single, F_MaxFlutter As Single, DPM1_MaxFlutter As Single, DPM2_MaxFlutter As Single
Global Const InitialTempFlutter = 0.5, InitialPressFlutter = 0.1, InitialFlutterRate = 0.05, DP1FlutterRate = 0.1
Global Const MinTempFlutter1 = 0.2, MinTempFlutter2 = 0.3, MinPressFlutter1 = 0.1, MinPressFlutter2 = 0.15, MinFlutterRate1 = 0.05, MinFlutterRate2 = 0.1
Global IMPselected As Boolean
Global TxtName As String, DP1alarm As String
Global PreheaterMaxTemp As Single, PreheaterMaxTempNo As Integer
Global PreheaterInsideAvgTemp As Single, PreheaterOutsideAvgTemp As Single, PreheaterAvgTempDiff As Single
Global PipeAvgTempDiff As Single, TestsectionWallAvgTemp As Single, TestsectionAvgTempDiff As Single
Global RoomTemperature As Single, DP1TubeWallTemperature As Single
Global TempDiffRange As Single, PressDiffRange As Single, StabilityBegin As Boolean
Global ParametersTotalNo As Integer, P3total As Single, T3total As Single, P4total As Single, T4total As Single, P0total As Single, T0total As Single, TheralLosstotal As Single
Global P3Avg As Single, T3Avg As Single, P4Avg As Single, T4Avg As Single, P0Avg As Single, T0Avg As Single, PAvg As Single, TAvg As Single, TheralLossAvg As Single
Global Ugs As Single, Uls As Single, ObservationPositionRatio As Single, RequiredFlowRate As Single, RequiredPower As Single
Global IsGetParameters As Boolean, IsHeatTransfer As Boolean, IsFlowPatterns As Boolean
Global ExperimentalPressure As Single, ExperimentalTemperature As Single


Sub Main()
    Dim buffer As String, i As Integer, j As Integer
    
    frmSplash.Show
    frmSplash.Refresh
    
    Start = Timer
    While Timer <= Start + 0.5
    Wend
    Load frmMain
    Unload frmSplash
    Do
        Frmexperimentconfiguration.Show
        DoEvents
    Loop While Frmexperimentconfiguration.OkeyCom = False
    Do
        Frmchannelselection.Show
        DoEvents
    Loop While Frmchannelselection.OkeyCom = False
    frmMain.Show
    Open "c:\Heat Transfer and Flow Patterns\saving files\channeldefinition.txt" For Input As #1
    While Not EOF(1)
       Line Input #1, buffer
       i = Val(Mid(buffer, 4, 3))
       Channel(i) = buffer
    Wend
    Close #1
    Open "c:\Heat Transfer and Flow Patterns\saving files\taskdefinition.txt" For Input As #1
    While Not EOF(1)
       Line Input #1, buffer
       j = Val(Mid(buffer, 4, 1))
       Task(j, 1) = buffer
       For k = 2 To 3
           Line Input #1, buffer
           Task(j, k) = buffer
       Next k
    Wend
    Close #1
End Sub
    
Sub Differentialtime(Difftime As String)
    Dim Nowhour As Integer, Nowminute As Integer, Nowsecond As Integer
    Dim Diffhour As String, Diffminute As String, Diffsecond As String
    Nowhour = Hour(Time) - Starthour
    Nowminute = Minute(Time) - Startminute
    Nowsecond = Second(Time) - Startsecond
    If Nowsecond < 0 Then
       Nowsecond = Nowsecond + 60
       Nowminute = Nowminute - 1
    End If
    If Nowminute < 0 Then
       Nowminute = Nowminute + 60
       Nowhour = Nowhour - 1
    End If
    If Nowsecond < 10 Then
       Diffsecond = "0" & Nowsecond
    Else
       Diffsecond = Nowsecond
    End If
    If Nowminute < 10 Then
       Diffminute = "0" & Nowminute
    Else
       Diffminute = Nowminute
    End If
    If Nowhour < 10 Then
       Diffhour = "0" & Nowhour
    Else
       Diffhour = Nowhour
    End If
    Difftime = Diffhour & ":" & Diffminute & ":" & Diffsecond
End Sub
    
'supheated/saturated vapour or high pressure subcooling liquid density
Function Qv(T As Single, P As Single) ' Qv(Kg/m3) T(K) P(Pa)  Range(vapour): T=-33.15-206.85 C P=0-40.64 bars
    Dim a(9, 5) As String
    a(1, 1) = 0#: a(2, 1) = 10.200664: a(3, 1) = -32.533383: a(4, 1) = 78.123563: a(5, 1) = -68.597038
    a(6, 1) = 28.411548: a(7, 1) = -4.9177332: a(8, 1) = 0#: a(9, 1) = 0.057702463: a(1, 2) = 0#: a(2, 2) = -33.117138
    a(3, 2) = 84.321026: a(4, 2) = -186.15733: a(5, 2) = 163.7985: a(6, 2) = -68.88115: a(7, 2) = 13.40429
    a(8, 2) = -0.61139649: a(9, 2) = -0.077630849: a(1, 3) = 0#: a(2, 3) = 27.006031: a(3, 3) = -53.638675
    a(4, 3) = 105.08815: a(5, 3) = -89.655243: a(6, 3) = 34.766061: a(7, 3) = -5.7021512: a(8, 3) = 0#
    a(9, 3) = 0.069571809: a(1, 4) = 0#: a(2, 4) = -9.3442006: a(3, 4) = 5.1293252: a(4, 4) = 0#: a(5, 4) = 0#: a(6, 4) = 0#: a(7, 4) = 0#
    a(8, 4) = 0#: a(9, 4) = 0#: a(1, 5) = 0#: a(2, 5) = 0.043959113: a(3, 5) = 0#: a(4, 5) = 0#: a(5, 5) = 0#: a(6, 5) = 0#
    a(7, 5) = 0#: a(8, 5) = 0#: a(9, 5) = 0#
    Zc = Pc / (R * Qc * Tc)
    Tr = T / Tc
    Pr = P / Pc
    Qv = 0#
10  Qr = Qv / Qc
    Pr1 = Tr * Qr / Zc
    For i = 2 To 9
       Pr1 = Pr1 + (a(i, 1) + a(i, 2) / Tr + a(i, 3) / Tr ^ 2 + a(i, 4) / Tr ^ 3 + a(i, 5) / Tr ^ 5) * Qr ^ i
    Next
    If (Abs(Pr - Pr1) > 0.0001) Then
       Qv = Qv + (Pr - Pr1)
       GoTo 10
    Else
    End If
End Function

'saturated liquid density
'avaulable in the current experimetal range with limited subcooling degree T=-20 C-sat. P=1-20 bars, error<0.5%
Function Qf(T As Single) '  Qf(Kg/m3) T(K) Range: T=-73.15-101.15 C
Dim k As Single
    Tr = T / Tc
    k = 1 - Tr
    Qr = 1# + 2.451 * k ^ 0.38 + 0.4403 * k ^ 1.6
    Qf = Qr * Qc
End Function
     
'specific enthalpy (Inc. subcooling/saturated/superheated vapour/liquid)
Function H(T As Single, Q As Single) ' H(J/Kg) T(K) Q(Kg/m3) P(Pa) Range(vapour): T=-33.15-206.85 C P=0-150 bars
    Dim a(9, 5) As Single, c(5) As Single, Cs As Single, Cf As Single
    a(1, 1) = 0#: a(2, 1) = 10.200664: a(3, 1) = -32.533383: a(4, 1) = 78.123563: a(5, 1) = -68.597038
    a(6, 1) = 28.411548: a(7, 1) = -4.9177332: a(8, 1) = 0#: a(9, 1) = 0.057702463: a(1, 2) = 0#: a(2, 2) = -33.117138
    a(3, 2) = 84.321026: a(4, 2) = -186.15733: a(5, 2) = 163.7985: a(6, 2) = -68.88115: a(7, 2) = 13.40429
    a(8, 2) = -0.61139649: a(9, 2) = -0.077630849: a(1, 3) = 0#: a(2, 3) = 27.006031: a(3, 3) = -53.638675
    a(4, 3) = 105.08815: a(5, 3) = -89.655243: a(6, 3) = 34.766061: a(7, 3) = -5.7021512: a(8, 3) = 0#
    a(9, 3) = 0.069571809: a(1, 4) = 0#: a(2, 4) = -9.3442006: a(3, 4) = 5.1293252: a(4, 4) = 0#: a(5, 4) = 0#: a(6, 4) = 0#: a(7, 4) = 0#
    a(8, 4) = 0#: a(9, 4) = 0#: a(1, 5) = 0#: a(2, 5) = 0.043959113: a(3, 5) = 0#: a(4, 5) = 0#: a(5, 5) = 0#: a(6, 5) = 0#
    a(7, 5) = 0#: a(8, 5) = 0#: a(9, 5) = 0#
    c(1) = 2.01832: c(2) = 12.891165: c(3) = -3.83066: c(4) = 0.71466: c(5) = 0#
    Cs = 17.784918: Cf = 0.4043836
    Tr = T / Tc
    Qr = Q / Qc
    'Pr = P / Pc
    Zc = Pc / (R * Qc * Tc)
    Tr0 = 273.15 / Tc
    fr = 0#
    For i = 2 To 9
       fr = fr + (a(i, 1) + a(i, 2) / Tr + a(i, 3) / Tr ^ 2 + a(i, 4) / Tr ^ 3 + a(i, 5) / Tr ^ 5) * (Qr ^ (i - 1) / (i - 1))
    Next
    fr = fr + Tr / Zc * Log(Qr) + ((c(1) - 1) * (Tr - Tr0 - Tr * Log(Tr / Tr0)) - c(2) * (Tr - Tr0) ^ 2 / 2 - c(3) * (Tr ^ 3 - 3 * Tr0 ^ 2 * Tr + 2 * Tr0 ^ 3) / 6# - c(4) * (Tr ^ 4 - 4 * Tr0 ^ 3 * Tr + 3 * Tr0 ^ 4) / 12# - (Tr - Tr0) * Cs - Cf) / Zc
    H1 = 0#
    H2 = 0#
    For i = 2 To 9
       H1 = H1 + (a(i, 2) / Tr ^ 2 + 2 * a(i, 3) / Tr ^ 3 + 3 * a(i, 4) / Tr ^ 4 + 5 * a(i, 5) / Tr ^ 6) * (Qr ^ (i - 1) / (i - 1))
    Next
    H1 = (H1 - Log(Qr) / Zc) * Tr
    For i = 2 To 9
       H2 = H2 + Qr ^ (i - 1) * (a(i, 1) + a(i, 2) / Tr + a(i, 3) / Tr ^ 2 + a(i, 4) / Tr ^ 3 + a(i, 5) / Tr ^ 5)
    Next
    H = fr + H1 + H2 + Tr / Zc + Tr / Zc * ((c(1) - 1) * Log(Tr / Tr0) + c(2) * (Tr - Tr0) + c(3) * (Tr ^ 2 - Tr0 ^ 2) / 2 + c(4) * (Tr ^ 3 - Tr0 ^ 3) / 3 + Cs)
    H = H * Tc * R * Zc
End Function
   
'supheated/saturated vapour or high pressure subcooling liquid density
Function PVT(T As Single, Q As Single) ' PVT(Pa) Q(Kg/m3) T(K)  Range(vapour): T=-33.15-206.85 C P=0-40.64 bars
    Dim a(9, 5) As Single
    a(1, 1) = 0#: a(2, 1) = 10.200664: a(3, 1) = -32.533383: a(4, 1) = 78.123563: a(5, 1) = -68.597038
    a(6, 1) = 28.411548: a(7, 1) = -4.9177332: a(8, 1) = 0#: a(9, 1) = 0.057702463: a(1, 2) = 0#: a(2, 2) = -33.117138
    a(3, 2) = 84.321026: a(4, 2) = -186.15733: a(5, 2) = 163.7985: a(6, 2) = -68.88115: a(7, 2) = 13.40429
    a(8, 2) = -0.61139649: a(9, 2) = -0.077630849: a(1, 3) = 0#: a(2, 3) = 27.006031: a(3, 3) = -53.638675
    a(4, 3) = 105.08815: a(5, 3) = -89.655243: a(6, 3) = 34.766061: a(7, 3) = -5.7021512: a(8, 3) = 0#
    a(9, 3) = 0.069571809: a(1, 4) = 0#: a(2, 4) = -9.3442006: a(3, 4) = 5.1293252: a(4, 4) = 0#: a(5, 4) = 0#: a(6, 4) = 0#: a(7, 4) = 0#
    a(8, 4) = 0#: a(9, 4) = 0#: a(1, 5) = 0#: a(2, 5) = 0.043959113: a(3, 5) = 0#: a(4, 5) = 0#: a(5, 5) = 0#: a(6, 5) = 0#
    a(7, 5) = 0#: a(8, 5) = 0#: a(9, 5) = 0#
    Zc = Pc / (R * Qc * Tc)
    Tr = T / Tc
    Qr = Q / Qc
    Pr1 = 0#
    For i = 2 To 9
       Pr1 = Pr1 + (a(i, 1) + a(i, 2) / Tr + a(i, 3) / Tr ^ 2 + a(i, 4) / Tr ^ 3 + a(i, 5) / Tr ^ 5) * Qr ^ i
    Next
    PVT = (Pr1 + Tr * Qr / Zc) * Pc
End Function

'saturated pressure
Function Ps(T As Single) 'Ps(Pa) T(K) Range: T=-62.15-101.15 C
    Dim k As Single
    Tr = T / Tc
    k = 1 - Tr
    Ps = 1# / Tr * (-7.651 * k + 1.8458 * k ^ 1.5 - 0.6821 * k ^ 2# - 3.059 * k ^ 3)
    Ps = Exp(Ps) * Pc
End Function

'saturated temperature
Function Ts(P As Single) ' P(Pa) Ts(K) Range: P=0.1417-40.64 bars
    Dim k As Single
    Psr = P / Pc
    T = 246.97
    Tr = T / Tc
    Do
    Fx = (-7.651 * (1 - Tr) + 1.8458 * (1 - Tr) ^ 1.5 - 0.6821 * (1 - Tr) ^ 2 - 3.059 * (1 - Tr) ^ 3) / Tr - Log(Psr)
    dFx = -9.8591 + 6.118 * Tr + (11.3921 - 2.7687 * Tr * (1 - Tr) ^ 0.5 - 1.8458 * (1 - Tr) ^ 1.5) / Tr ^ 2
    Tr = Tr - Fx / dFx
    Loop While Abs(Fx) > 0.0001
    Ts = Tr * Tc
End Function

'surface tension
Function St(T As Single) 'St(N/m) T(K) Range: T=-43.15-101.15 C
      Tr = T / Tc
      St = 0.001 * 55.44 * (1# - Tr) ^ 1.22
End Function

'saturated liquid viscosity
Function Muf(T As Single)  ' Muf(Pa.s) T(K) Range: T=-22.2-70 C
    Muf = -6.0481 + 906.845 / T + 0.0109872 * T - 0.0000210309 * T ^ 2
    Muf = Exp(Muf) * 0.001
End Function

'saturated vapour viscosity
Function Muv(T As Single) ' Muv(Pa.s) T(K) Range: T=-40-80 C
    Muv = 1.9941 * T ^ 5 / 10 ^ 16 - 2.582 * T ^ 4 / 10 ^ 13 + 1.3451 * T ^ 3 / 10 ^ 10 - 3.5167 * T ^ 2 / 10 ^ 8 + 4.649 * T / 10 ^ 6 - 2.4221 / 10 ^ 4
End Function

'vapour viscosity at 101.325 kPa
Function Muato(T As Single)
    Muato = (0.04366 * T - 0.000006832 * T ^ 2) * 0.000001
End Function

'supheated vapour viscosity
Function Musup(T As Single, P As Single) ' Muv(Pa.s) T(K) P(Pa) Range: T=25-150 C P= up to 54 bars
    Dim P1 As Single
    P1 = 101325#
    Q1 = Qv(T, P1)
    Q = Qv(T, P)
    Mu1 = Muato(T) * 1000000#
    b1 = 0.04761 - 90.75 / T + 52672# / T ^ 2 - 9314000# / T ^ 3
    b2 = 0.001238 - 0.000005893 * T + 0.000000000441 * T ^ 2
    b3 = -0.000002004 + 0.001609 / T - 0.3246 / T ^ 2
    Musup = (Mu1 + b1 * (Q - Q1) + b2 * (Q - Q1) ^ 2 + b3 * (Q - Q1) ^ 3) * 0.000001
End Function
     
'Liquid Temperature (Inc. subcooling/saturated/liquid)
Function Tf(Hf As Single) ' H(J/Kg) T(K)
    Dim Tf0 As Single, dH As Single
    Tf0 = 20 + 273.15
    dH = 0
    Do
    Tf0 = Tf0 * (1 + dH / Hf)
    dH = Hf - H(Tf0, Qf(Tf0))
    Loop While Abs(dH) > 1
    Tf = Tf0
End Function

