VERSION 5.00
Begin VB.Form frmIMP 
   Caption         =   "IMP"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "frmIMP"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Poll_Tab%(50)                          'Poll Table
Dim RcvData As String * 255                'Data Read
Dim DllVer As String * 35                  'DLL Version
Dim AdapAddr%                              'Interface Card Address
Dim BaseAddr%                              'Interface Card Base Address
Dim CardHandle%                            'Interface Card Handle
Dim ImpAddr%                               'Imp Address
Dim ImpStream%                             'Imp Stream
Dim ImpFound%                              'IMP Online (Yes/No)
Dim ErrFlag%                               'Error Flag
Dim Numchars%                              'Number of Characters to Read
Dim Numchans%                              'Number of Channels to Read
Dim Imp_Data(20) As Single                 'Imp Data
Dim Imp_sig(20) As Integer                 'Imp Data Significance
Dim HundredthsOfASec%                      'DLL Delay Value
Private Declare Sub Imp_Connect Lib "IMPDRVR.DLL" (CardAddr As Integer, CardHandle As Integer)
Private Declare Sub Imp_Disconnect Lib "IMPDRVR.DLL" (CardHandle As Integer)
Private Declare Function Imp_CardInUse Lib "IMPDRVR.DLL" () As Integer
Private Declare Sub Imp_Init Lib "IMPDRVR.DLL" (Poll As Integer, ErrFlag As Integer, CardHandle As Integer)
Private Declare Sub Imp_Tx Lib "IMPDRVR.DLL" (ImpAddr As Integer, ByVal ImpCmd As String, ErrFlag As Integer, StrLen As Integer, CardHandle As Integer)
Private Declare Sub Imp_Test Lib "IMPDRVR.DLL" (ImpAddr As Integer, ImpStream As Integer, TestStatus As Integer, CardHandle As Integer)
Private Declare Sub Imp_String Lib "IMPDRVR.DLL" (ImpAddr As Integer, ImpStream As Integer, ByVal RcvData As String, Numchars As Integer, ErrFlag As Integer, CardHandle As Integer)
Private Declare Sub Imp_Numeric Lib "IMPDRVR.DLL" (ImpAddr As Integer, ImpStream As Integer, Numchans As Integer, ErrFlag As Integer, Imp_Data As Single, Imp_sig As Integer, CardHandle As Integer)
Private Declare Sub Imp_ValToByte Lib "IMPDRVR.DLL" (DataVal As Single, DataByte As Integer)
Private Declare Sub Imp_DLLVersion Lib "IMPDRVR.DLL" (ByVal DllVer As String)
Private Declare Sub Imp_DLLDelay Lib "IMPDRVR.DLL" (ByVal HundredthsOfASec As Integer)
Sub Form_Load()
Dim LP, i As Integer
Dim TxString As String
AdapAddr = &HD000                              'Set Interface Card Address
BaseAddr = &HD000                              'Set Interface Card Base Address
ImpAddr = 1                                    'Set Imp Address
ImpStream = 0                                  'Set Imp Stream
CardHandle = -1                                'Default card handle
Call Imp_DLLVersion(DllVer)                     'Get DLL Version
'Sub ImpInit_Click()
For LP = 0 To 0                                 'Loop Through Poll Table
    Poll_Tab(LP) = 1                                 'Set Element
Next LP
ErrFlag = LocateCard()                           'Locate IMP Interface Card
If ErrFlag > 0 Then                              'Interface Card Found OK ?
   'CardAddr.Caption = "IMP Adaptor @" + Hex(AdapAddr)
   ErrFlag = LocateImp()                            'Locate First IMP Online
   If ErrFlag = 1 Then                              'Any IMPs Online ?
      'CardAddr.Caption = CardAddr.Caption + " IMP Address " + Str$(ImpAddr) + " Stream " + Str$(ImpStream)
      'StatusBox.Text = " "
      ImpFound = 1                                     'IMP Online
   Else                                             'No IMPs Online
      'CardAddr.Caption = CardAddr.Caption + " No IMP Present"
      'StatusBox.Text = "Error - No IMPs Online"
   End If
Else
   'StatusBox.Text = "Error - Could Not Find Adaptor Card"
End If
'Sub ImpTx_Click()
Open "c:\Heat Transfer and Flow Patterns\saving files\IMP channeldefinition.txt" For Input As #1
While Not EOF(1)
    Line Input #1, TxString
    Call Imp_Tx(ImpAddr, TxString, ErrFlag, Len(TxString), CardHandle)
    If ErrFlag = 0 Then                                     'Sent OK ?
       'StatusBox.Text = "String Sent OK"
    Else:                                                   'Error
       If ErrFlag = 1 Then                                     'Transmit Error ?
          'StatusBox.Text = "Error Transmitting String"
       Else                                                    'Invalid Card handle
          'StatusBox.Text = "Error - Invalid Card Handle"
       End If
    End If
Wend
Close #1
End Sub
Sub IMPlogger(OriginalResult() As Single)
'Sub ImpNumeric_Click()
Dim LP As Integer
Numchans = 20
Call Imp_Numeric(ImpAddr, ImpStream, Numchans, ErrFlag, Imp_Data(0), Imp_sig(0), CardHandle)
While Not ErrFlag = 0
     Call Imp_Numeric(ImpAddr, ImpStream, Numchans, ErrFlag, Imp_Data(0), Imp_sig(0), CardHandle)
Wend
If ErrFlag = 0 Then                               'Read OK ?
   'StatusBox.Text = ""
   For LP = 0 To Numchans - 1                             'Loop Through Chans
       If Imp_sig(LP) > 128 Then                         'Error ?
       'StatusBox.Text = StatusBox.Text & "ERR,"
       Else:                                             'Data OK
       OriginalResult(1 + LP) = Imp_Data(LP)
       'StatusBox.Text = StatusBox.Text & Format(Imp_Data(Lp), "Standard") & ", "
       End If
   Next LP
Else                                               'Error or No Data
   If ErrFlag = 2 Then
      'StatusBox.Text = "No Data Available"
   Else
      If ErrFlag = -1 Then                                'Invalid Card Handle
         'StatusBox.Text = "Error - Invalid Card Handle"
      Else                                                'Error Receiving Data
         'StatusBox.Text = "Data Receive Error"
      End If
   End If
End If
End Sub
Function LocateCard() As Integer
Dim LpExit                                               'Loop Exit Flag
LocateCard = 0                                           'Card Located 0=No 1=Yes
LpExit = 0                                               'Loop Exit Flag
AdapAddr = BaseAddr                                      'Set Base Address
If CardHandle >= 0 Then                                  'Card Already Connected ?
   Call Imp_Disconnect(CardHandle)                          'Disconnect
End If
While (LpExit = 0)                                       'Wait for Loop Exit
   Call Imp_Connect(AdapAddr, CardHandle)
   If CardHandle >= 0 Then                                  'Valid Handle ?
      Call Imp_Init(Poll_Tab(0), ErrFlag, CardHandle)
      If ErrFlag = 0 Then                                      'Initialised OK ?
         LpExit = 1                                               'Set Exit Flag
         LocateCard = 1                                           'Interface Card Found
      Else:                                                    'Initialise Error
         Call Imp_Disconnect(CardHandle)
         AdapAddr = AdapAddr + &H100                              'Increment Address
         If AdapAddr > &HDF00 Then                                'Past Last Address ?
            LpExit = 2                                               'Set Exit Flag
         End If
      End If
   Else:                                                    'Invalid Handle
      LpExit = 3                                               'Set Exit Flag
   End If
Wend
End Function
Function LocateImp() As Integer
Dim LP                                                   'Loop Controller
Dim LpExit                                               'Loop Exit Flag
LocateImp = 0                                            'IMP Located 0=No 1=Yes
LpExit = 0                                               'Loop Exit Flag
ImpAddr = 1                                              'Clear IMP Address
While (LpExit = 0)                                       'Wait for Loop Exit
    If Poll_Tab(LP) = 1 Then                                 'IMP Online ?
       ImpAddr = LP + 1                                         'Set IMP Address
       LpExit = 1                                               'Set Exit Flag
       LocateImp = 1                                            'Set IMP Located
    Else:                                                    'Imp Offline
       LP = LP + 1                                              'Incrememt Address
       If LP > 49 Then                                          'All Addresses Searched ?
          LpExit = 2
    End If
    End If
Wend
End Function
Sub IMPExit()
'If MsgBox("Are You Sure You Wish To Exit ?", 1) = 1 Then
   Call Imp_Disconnect(CardHandle)
   Unload Me                               'Exit program
'End If
End Sub



